/*! DSFR v1.2.1 | SPDX-License-Identifier: MIT | License-Filename: LICENSE.md | restricted use (see terms and conditions) */
const e=new class{constructor(){this.modules={}}create(e){const t=new e;this.modules[t.type]=t}getModule(e){return this.modules[e]}add(e,t){this.modules[e].add(t)}remove(e,t){this.modules[e].remove(t)}get isActive(){return this._isActive}set isActive(e){if(e===this._isActive)return;this._isActive=e;const t=Object.keys(this.modules).map((e=>this.modules[e]));if(e)for(const e of t)e.activate();else for(const e of t)e.deactivate()}get isLegacy(){return this._isLegacy}set isLegacy(e){e!==this._isLegacy&&(this._isLegacy=e)}},t="fr",s="dsfr",i="1.2.1";class n{constructor(e,t,s,i){switch(this.level=e,this.light=t,this.dark=s,i){case"warn":this.logger=console.warn;break;case"error":this.logger=console.error;break;default:this.logger=console.log}}log(...e){const t=new r(s);for(const s of e)t.add(s);this.print(t)}print(e){e.setColor(this.color),this.logger.apply(console,e.getMessage())}get color(){return window.matchMedia("(prefers-color-scheme: dark)").matches?this.dark:this.light}}class r{constructor(e){this.inputs=["%c"],this.styles=["font-family:Marianne","line-height: 1.5"],this.objects=[],e&&this.add(`${e} :`)}add(e){switch(typeof e){case"object":case"function":this.inputs.push("%o "),this.objects.push(e);break;default:this.inputs.push(`${e} `)}}setColor(e){this.styles.push(`color:${e}`)}getMessage(){return[this.inputs.join(""),this.styles.join(";"),...this.objects]}}const o={trace:new n(0,"#616161","#989898"),debug:new n(1,"#000091","#8B8BFF"),info:new n(2,"#007c3b","#00ed70"),warn:new n(3,"#ba4500","#fa5c00","warn"),error:new n(4,"#D80600","#FF4641","error")};const a=new class{constructor(){this.level=2;for(const e in o){const t=o[e];this[e]=(...e)=>{this.level<=t.level&&t.log.apply(t,e)},this[e].print=t.print.bind(t)}}state(){const t=new r;t.add(e),this.trace.print(t)}tree(){const t=e.getModule("stage");if(!t)return;const s=new r;this._branch(t.root,0,s),this.trace.print(s)}_branch(e,t,s){let i="";if(t>0){let e="";for(let s=0;s<t;s++)e+="    ";i+=e+"└─ "}i+=`[${e.id}] ${e.html}`,s.add(i),s.add({"@":e}),s.add("\n");for(const n of e.children)i+=this._branch(n,t+1,s)}},c=e=>{"loading"!==document.readyState?window.requestAnimationFrame(e):document.addEventListener("DOMContentLoaded",e)},l={AUTO:"auto",MANUAL:"manual",RUNTIME:"runtime",LOADED:"loaded",VUE:"vue",ANGULAR:"angular",REACT:"react"};const h=new class{constructor(){this._mode=l.AUTO,this.isStarted=!1,this.starting=this.start.bind(this),this.preventManipulation=!1}configure(e={},t){this.startCallback=t,!0===e.verbose&&(a.level=0),this.mode=e.mode||l.AUTO}set mode(e){switch(e){case l.AUTO:this.preventManipulation=!1,t=this.starting,c(t);break;case l.LOADED:this.preventManipulation=!1,c(this.starting);break;case l.RUNTIME:this.preventManipulation=!1,this.start();break;case l.MANUAL:this.preventManipulation=!1;break;case l.VUE:case l.ANGULAR:case l.REACT:this.preventManipulation=!0;break;default:return void a.error("Illegal mode")}var t;this._mode=e,a.info(`mode set to ${e}`)}get mode(){return this._mode}start(){a.info("start"),this.startCallback()}};class d{constructor(){this._collection=[]}forEach(e){this._collection.forEach(e)}map(e){return this._collection.map(e)}get length(){return this._collection.length}add(e){return!(this._collection.indexOf(e)>-1)&&(this._collection.push(e),this.onAdd&&this.onAdd(),this.onPopulate&&1===this._collection.length&&this.onPopulate(),!0)}remove(e){const t=this._collection.indexOf(e);if(-1===t)return!1;this._collection.splice(t,1),this.onRemove&&this.onRemove(),this.onEmpty&&0===this._collection.length&&this.onEmpty()}execute(...e){for(const t of this._collection)t&&t.apply(null,e)}clear(){this._collection.length=0}clone(){const e=new d;return e._collection=this._collection.slice(),e}get collection(){return this._collection}}class u extends d{constructor(e){super(),this.type=e,this.isActive=!1}activate(){}deactivate(){}}const m=e=>`${t}-${e}`;m.selector=(e,t)=>(void 0===t&&(t="."),`${t}${m(e)}`),(m.attr=e=>`data-${m(e)}`).selector=(e,t)=>{let s=m.attr(e);return void 0!==t&&(s+=`="${t}"`),`[${s}]`},m.event=e=>`${s}.${e}`,m.emission=(e,t)=>`emission:${e}.${t}`;const p=(e,t)=>Array.prototype.slice.call(e.querySelectorAll(t)),g=(e,t)=>{const s=e.parentElement;return s.matches(t)?s:s===document.documentElement?null:g(s,t)};class f{constructor(e,t,s){this.selector=e,this.InstanceClass=t,this.creator=s,this.instances=new d,this.isIntroduced=!1,this._instanceClassName=this.InstanceClass.instanceClassName,this._instanceClassNames=this.getInstanceClassNames(this.InstanceClass),this._property=this._instanceClassName.substring(0,1).toLowerCase()+this._instanceClassName.substring(1);const i=this._instanceClassName.replace(/[^a-zA-Z0-9]+/g,"-").replace(/([A-Z]+)([A-Z][a-z])/g,"$1-$2").replace(/([a-z])([A-Z])/g,"$1-$2").replace(/([0-9])([^0-9])/g,"$1-$2").replace(/([^0-9])([0-9])/g,"$1-$2").toLowerCase();this._attribute=m.attr(`js-${i}`)}getInstanceClassNames(e){const t=Object.getPrototypeOf(e);return t&&"Instance"!==t.instanceClassName?[...this.getInstanceClassNames(t),e.instanceClassName]:[e.instanceClassName]}hasInstanceClassName(e){return this._instanceClassNames.indexOf(e)>-1}introduce(){this.isIntroduced||(this.isIntroduced=!0,e.getModule("stage").parse(document.documentElement,this))}parse(e,t){const s=[];return e.matches&&e.matches(this.selector)&&s.push(e),!t&&e.querySelectorAll&&e.querySelector(this.selector)&&s.push.apply(s,p(e,this.selector)),s}create(e){if(!e.node.matches(this.selector))return;const t=new this.InstanceClass;return this.instances.add(t),t}remove(e){this.instances.remove(e)}dispose(){const e=this.instances.collection;for(let t=e.length-1;t>-1;t--)e[t]._dispose();this.creator=null}get instanceClassName(){return this._instanceClassName}get instanceClassNames(){return this._instanceClassNames}get property(){return this._property}get attribute(){return this._attribute}}class b extends u{constructor(){super("register")}register(t,s,i){const n=new f(t,s,i);return this.add(n),e.isActive&&n.introduce(),n}activate(){for(const e of this.collection)e.introduce()}remove(e){e.dispose(),super.remove(e)}}let v=0;class y{constructor(e,t){t?this.id=t:(v++,this.id=v),this.node=e,this.attributeNames=[],this.instances=[],this._children=[],this._parent=null,this._projects=[]}get proxy(){const e=this;if(!this._proxy){this._proxy={id:this.id,get parent(){return e.parent?e.parent.proxy:null},get children(){return e.children.map((e=>e.proxy))}};for(const e of this.instances)this._proxy[e.registration.property]=e.proxy}return this._proxy}get html(){const e=this.node.outerHTML.indexOf(">");return this.node.outerHTML.substring(0,e+1)}project(e){-1===this._projects.indexOf(e)&&this._projects.push(e)}populate(){const e=this._projects.slice();this._projects.length=0;for(const t of e)this.create(t)}create(e){if(this.hasInstance(e.instanceClassName))return;a.debug(`create instance of ${e.instanceClassName} on element [${this.id}]`);const t=e.create(this);this.instances.push(t),t._config(this,e),this._proxy&&(this._proxy[e.property]=t.proxy)}remove(e){const t=this.instances.indexOf(e);t>-1&&this.instances.splice(t,1),this._proxy&&delete this._proxy[e.registration.property]}get parent(){return this._parent}get ascendants(){return[this.parent,...this.parent.ascendants]}get children(){return this._children}get descendants(){const e=[...this._children];return this._children.forEach((t=>e.push(...t.descendants))),e}addChild(e,t){return this._children.indexOf(e)>-1?null:(e._parent=this,!isNaN(t)&&t>-1&&t<this._children.length?this._children.splice(t,0,e):this._children.push(e),e)}removeChild(e){const t=this._children.indexOf(e);if(-1===t)return null;e._parent=null,this._children.splice(t,1)}emit(t,s){const i=e.getModule("stage").collection,n=[];for(const e of i)n.push(...e._emit(t,s));return n}_emit(e,t){const s=[];for(const i of this.instances)s.push(...i._emitter.emit(e,t));return s}ascend(e,t){return this._parent?this._parent._ascend(e,t):[]}_ascend(e,t){const s=[];for(const i of this.instances)s.push(...i._ascent.emit(e,t));return this._parent&&s.push(...this._parent._ascend(e,t)),s}descend(e,t){const s=[];for(const i of this._children)s.push(...i._descend(e,t));return s}_descend(e,t){const s=[];for(const i of this.instances)s.push(...i._descent.emit(e,t));for(const i of this._children)s.push(...i._descend(e,t));return s}getInstance(e){for(const t of this.instances)if(t.registration.hasInstanceClassName(e))return t;return null}hasInstance(e){return null!==this.getInstance(e)}getDescendantInstances(e,t,s){if(!e)return[];const i=[];for(const n of this._children){const r=n.getInstance(e);r&&(i.push(r),s)||(t&&n.hasInstance(t)||!n.children.length||i.push.apply(i,n.getDescendantInstances(e,t,s)))}return i}getAscendantInstance(e,t){if(!e||!this._parent)return null;const s=this._parent.getInstance(e);return s||(t&&this._parent.hasInstance(t)?null:this._parent.getAscendantInstance(e,t))}dispose(){for(const e of this.instances)e._dispose();this.instances.length=0,e.remove("stage",this),this.parent.removeChild(this),this._children.length=0,a.debug(`remove element [${this.id}] ${this.html}`)}prepare(e){-1===this.attributeNames.indexOf(e)&&this.attributeNames.push(e)}examine(){const e=this.attributeNames.slice();this.attributeNames.length=0;for(let t=this.instances.length-1;t>-1;t--)this.instances[t].examine(e)}}class E extends y{constructor(){super(document.documentElement,"root"),this.node.setAttribute(m.attr("js"),!0)}}class _ extends u{constructor(){super("stage"),this.root=new E,super.add(this.root),this.observer=new MutationObserver(this.mutate.bind(this)),this.modifications=[],this.willModify=!1,this.modifying=this.modify.bind(this)}hasElement(e){for(const t of this.collection)if(t.node===e)return!0;return!1}getElement(e){for(const t of this.collection)if(t.node===e)return t;const t=new y(e);return this.add(t),a.debug(`add element [${t.id}] ${t.html}`),t}getProxy(e){if(!this.hasElement(e))return null;return this.getElement(e).proxy}add(e){super.add(e),this.put(e,this.root)}put(e,t){let s=0;for(let i=t.children.length-1;i>-1;i--){const n=t.children[i],r=e.node.compareDocumentPosition(n.node);if(r&Node.DOCUMENT_POSITION_CONTAINS)return void this.put(e,n);if(r&Node.DOCUMENT_POSITION_CONTAINED_BY)t.removeChild(n),e.addChild(n,0);else if(r&Node.DOCUMENT_POSITION_PRECEDING){s=i+1;break}}t.addChild(e,s)}activate(){this.observer.observe(document.documentElement,{childList:!0,subtree:!0,attributes:!0})}deactivate(){this.observer.disconnect()}mutate(e){const t=[];e.forEach((e=>{switch(e.type){case"childList":e.removedNodes.forEach((e=>this.dispose(e))),e.addedNodes.forEach((e=>this.parse(e)));break;case"attributes":if(this.hasElement(e.target)){const s=this.getElement(e.target);s.prepare(e.attributeName),-1===t.indexOf(s)&&t.push(s);for(const e of s.descendants)-1===t.indexOf(e)&&t.push(e)}-1===this.modifications.indexOf(e.target)&&this.modifications.push(e.target)}})),t.forEach((e=>e.examine())),this.modifications.length&&!this.willModify&&(this.willModify=!0,window.requestAnimationFrame(this.modifying))}modify(){this.willModify=!1;const e=this.modifications.slice();this.modifications.length=0;for(const t of e)document.documentElement.contains(t)&&this.parse(t)}dispose(e){const t=[];this.forEach((s=>{e.contains(s.node)&&t.push(s)}));for(const e of t)e.dispose(),this.remove(e)}parse(t,s,i){const n=s?[s]:e.getModule("register").collection,r=[];for(const e of n){const s=e.parse(t,i);for(const t of s){const s=this.getElement(t);s.project(e),-1===r.indexOf(s)&&r.push(s)}}for(const e of r)e.populate()}}class L extends u{constructor(){super("render"),this.rendering=this.render.bind(this),this.nexts=new d}activate(){window.requestAnimationFrame(this.rendering)}request(e){this.nexts.add(e)}render(){if(!e.isActive)return;if(window.requestAnimationFrame(this.rendering),this.forEach((e=>e.render())),!this.nexts.length)return;const t=this.nexts.clone();this.nexts.clear(),t.forEach((e=>e.next()))}}class A extends u{constructor(){super("resize"),this.requireResize=!1,this.resizing=this.resize.bind(this);const e=this.request.bind(this);document.fonts&&document.fonts.ready.then(e),window.addEventListener("resize",e),window.addEventListener("orientationchange",e)}activate(){this.request()}request(){this.requireResize||(this.requireResize=!0,window.requestAnimationFrame(this.resizing))}resize(){this.requireResize&&(this.forEach((e=>e.resize())),this.requireResize=!1)}}class S extends u{constructor(){super("lock"),this._isLocked=!1,this._scrollY=0,this.onPopulate=this.lock.bind(this),this.onEmpty=this.unlock.bind(this)}get isLocked(){return this._isLocked}lock(){this._isLocked||(this._isLocked=!0,this._scrollY=window.scrollY,document.body.style.top=-1*this._scrollY+"px",document.documentElement.setAttribute(m.attr("scrolling"),"false"))}unlock(){this._isLocked&&(this._isLocked=!1,document.documentElement.removeAttribute(m.attr("scrolling")),document.body.style.top="",window.scroll(0,this._scrollY))}}class C extends u{constructor(){super("load"),this.loading=this.load.bind(this)}activate(){window.addEventListener("load",this.loading)}load(){this.forEach((e=>e.load()))}}const w=new class{constructor(){e.create(b),e.create(_),e.create(L),e.create(A),e.create(S),e.create(C);const t=e.getModule("register");this.register=t.register.bind(t)}get isActive(){return e.isActive}start(){a.debug("START"),e.isActive=!0}stop(){a.debug("STOP"),e.isActive=!1}},T=e=>"."===e.charAt(0)?e.substr(1):e,N=e=>e.className?e.className.split(" "):[],O=(e,t,s)=>{t=T(t);const i=N(e),n=i.indexOf(t);!0===s?n>-1&&i.splice(n,1):-1===n&&i.push(t),e.className=i.join(" ")},I=(e,t)=>O(e,t),x=(e,t)=>O(e,t,!0),D=(e,t)=>N(e).indexOf(T(t))>-1;a.info(`version ${i}`);const M=t=>e.getModule("stage").getProxy(t);M.Modes=l,Object.defineProperty(M,"mode",{set:e=>{h.mode=e},get:()=>h.mode}),Object.defineProperty(M,"preventManipulation",{get:()=>h.preventManipulation}),Object.defineProperty(M,"isLegacy",{get:()=>e.isLegacy}),M.setLegacy=()=>{e.isLegacy=!0},M.ns=m,M.addClass=I,M.hasClass=D,M.removeClass=x,M.queryParentSelector=g,M.querySelectorAllArray=p,M.start=w.start,M.stop=w.stop,M.register=w.register,M.inspector=a,h.configure(window[s],M.start),window[s]=M;class k{constructor(){this.emissions={}}add(e,t){if("function"!=typeof t)throw new Error("closure must be a function");this.emissions[e]||(this.emissions[e]=[]),this.emissions[e].push(t)}remove(e,t){if(this.emissions[e])if(t){const s=this.emissions[e].indexOf(t);s>-1&&this.emissions[e].splice(s)}else delete this.emissions[e]}emit(e,t){if(!this.emissions[e])return[];const s=[];for(const i of this.emissions[e])i&&s.push(i(t));return s}dispose(){this.emissions=null}}class R{constructor(e,t){this.id=e,this.minWidth=t}test(){return window.matchMedia(`(min-width: ${this.minWidth}em)`).matches}}const H={XS:new R("xs",0),SM:new R("sm",36),MD:new R("md",48),LG:new R("lg",62),XL:new R("xl",78)};class P{constructor(e=!0){this.jsAttribute=e,this._isRendering=!1,this._isResizing=!1,this._isScrollLocked=!1,this._isLoading=!1,this._listeners={},this._keyListenerTypes=[],this._keys=[],this.handlingKey=this.handleKey.bind(this),this._emitter=new k,this._ascent=new k,this._descent=new k,this._registrations=[],this._nexts=[]}static get instanceClassName(){return"Instance"}_config(e,t){this.element=e,this.registration=t,this.node=e.node,this.id=e.node.id,this.jsAttribute&&this.setAttribute(t.attribute,!0),this.init()}init(){}get proxy(){const e=this;return{render:()=>e.render(),resize:()=>e.resize()}}register(t,s){const i=e.getModule("register").register(t,s,this);this._registrations.push(i)}getRegisteredInstances(e){for(const t of this._registrations)if(t.hasInstanceClassName(e))return t.instances.collection;return[]}dispatch(e,t,s,i){const n=new CustomEvent(e,{detail:t,bubble:!0===s,cancelable:!0===i});this.node.dispatchEvent(n)}listen(e,t,s){this._listeners[e]||(this._listeners[e]=[]),this._listeners[e].indexOf(t)>-1||(this._listeners[e].push(t),this.node.addEventListener(e,t,s))}unlisten(e,t){if(e)if(t){if(!this._listeners[e])return;const s=this._listeners[e].indexOf(t);s>-1&&this._listeners[e].splice(s,1),this.node.removeEventListener(e,t)}else{if(!this._listeners[e])return;for(const t of this._listeners[e])this.node.removeEventListener(e,t);this._listeners[e].length=0}else for(const e in this._listeners)this.unlisten(e)}listenKey(e,t,s=!1,i=!1,n="down"){-1===this._keyListenerTypes.indexOf(n)&&(this.listen(`key${n}`,this.handlingKey),this._keyListenerTypes.push(n)),this._keys.push(new j(n,e,t,s,i))}unlistenKey(e,t){this._keys=this._keys.filter((s=>s.code!==e||s.closure!==t)),this._keyListenerTypes.forEach((e=>{this._keys.some((t=>t.type===e))||this.unlisten(`key${e}`,this.handlingKey)}))}handleKey(e){for(const t of this._keys)t.handle(e)}get isRendering(){return this._isRendering}set isRendering(t){this._isRendering!==t&&(t?e.add("render",this):e.remove("render",this),this._isRendering=t)}render(){}request(t){this._nexts.push(t),e.getModule("render").request(this)}next(){const e=this._nexts.slice();this._nexts.length=0;for(const t of e)t&&t()}get isResizing(){return this._isResizing}set isResizing(t){this._isResizing!==t&&(t?(e.add("resize",this),this.resize()):e.remove("resize",this),this._isResizing=t)}resize(){}isBreakpoint(e){return!0==("string"==typeof e)?H[e.toUpperCase()].test():e.test()}get isScrollLocked(){return this._isScrollLocked}set isScrollLocked(t){this._isScrollLocked!==t&&(t?e.add("lock",this):e.remove("lock",this),this._isScrollLocked=t)}get isLoading(){return this._isLoading}set isLoading(t){this._isLoading!==t&&(t?e.add("load",this):e.remove("load",this),this._isLoading=t)}load(){}examine(e){this.node.matches(this.registration.selector)?this.mutate(e):this._dispose()}mutate(e){}_dispose(){a.debug(`dispose instance of ${this.registration.instanceClassName} on element [${this.element.id}]`),this.removeAttribute(this.registration.attribute),this.unlisten(),this._keys=null,this.isRendering=!1,this.isResizing=!1,this._nexts=null,e.getModule("render").nexts.remove(this),this.isScrollLocked=!1,this.isLoading=!1,this._emitter.dispose(),this._emitter=null,this._ascent.dispose(),this._ascent=null,this._descent.dispose(),this._descent=null,this.element.remove(this);for(const t of this._registrations)e.remove("register",t);this._registrations=null,this.registration.remove(this),this.dispose()}dispose(){}emit(e,t){return this.element.emit(e,t)}addEmission(e,t){this._emitter.add(e,t)}removeEmission(e,t){this._emitter.remove(e,t)}ascend(e,t){return this.element.ascend(e,t)}addAscent(e,t){this._ascent.add(e,t)}removeAscent(e,t){this._ascent.remove(e,t)}descend(e,t){return this.element.descend(e,t)}addDescent(e,t){this._descent.add(e,t)}removeDescent(e,t){this._descent.remove(e,t)}get style(){return this.node.style}addClass(e){I(this.node,e)}removeClass(e){x(this.node,e)}hasClass(e){return D(this.node,e)}setAttribute(e,t){this.node.setAttribute(e,t)}getAttribute(e){return this.node.getAttribute(e)}hasAttribute(e){return this.node.hasAttribute(e)}removeAttribute(e){this.node.removeAttribute(e)}setProperty(e,t){this.node.style.setProperty(e,t)}removeProperty(e){this.node.style.removeProperty(e)}focus(){this.node.focus()}get hasFocus(){return this.node===document.activeElement}matches(e){return this.node.matches(e)}querySelector(e){return this.node.querySelector(e)}querySelectorAll(e){return p(this.node,e)}queryParentSelector(e){return g(this.node,e)}getRect(){return this.node.getBoundingClientRect()}get isLegacy(){return e.isLegacy}}class j{constructor(e,t,s,i,n){this.type=e,this.eventType=`key${e}`,this.code=t,this.closure=s,this.preventDefault=!0===i,this.stopPropagation=!0===n}handle(e){e.type===this.eventType&&e.keyCode===this.code&&(this.closure(e),this.preventDefault&&e.preventDefault(),this.stopPropagation&&e.stopPropagation())}}const G={DISCLOSE:m.event("disclose"),CONCEAL:m.event("conceal")},B={RESET:m.emission("disclosure","reset"),ADDED:m.emission("disclosure","added"),REMOVED:m.emission("disclosure","removed"),GROUP:m.emission("disclosure","group"),UNGROUP:m.emission("disclosure","ungroup")},$=(e,...t)=>(t.forEach((t=>{const s=Object.keys(t).reduce(((e,s)=>(e[s]=Object.getOwnPropertyDescriptor(t,s),e)),{});Object.getOwnPropertySymbols(t).forEach((e=>{const i=Object.getOwnPropertyDescriptor(t,e);i.enumerable&&(s[e]=i)})),Object.defineProperties(e,s)})),e);class q extends P{constructor(e,t,s,i){super(),this.type=e,this._selector=t,this.DisclosureButtonInstanceClass=s,this.disclosuresGroupInstanceClassName=i,this.modifier=this._selector+"--"+this.type.id,this.pristine=!0}static get instanceClassName(){return"Disclosure"}init(){this.addDescent(B.RESET,this.reset.bind(this)),this.addDescent(B.GROUP,this.update.bind(this)),this.addDescent(B.UNGROUP,this.update.bind(this)),this.register(`[aria-controls="${this.id}"]`,this.DisclosureButtonInstanceClass),this.ascend(B.ADDED),this.update()}get proxy(){const e=this,t=Object.assign(super.proxy,{disclose:e.disclose.bind(e),focus:e.focus.bind(e)});this.type.canConceal&&(t.conceal=e.conceal.bind(e));return $(t,{get buttons(){return e.buttons.map((e=>e.proxy))},get group(){const t=e.group;return t?t.proxy:null}})}get buttons(){return this.getRegisteredInstances(this.DisclosureButtonInstanceClass.instanceClassName)}update(){this.getGroup()}getGroup(){if(!this.disclosuresGroupInstanceClassName)return void(this._group=null);const e=this.element.getAscendantInstance(this.disclosuresGroupInstanceClassName,this.constructor.instanceClassName);e&&e.validate(this)?this._group=e:this._group=null}get group(){return this._group}disclose(e){return!this.disclosed&&(this.pristine=!1,this.disclosed=!0,!e&&this.group&&(this.group.current=this),!0)}conceal(e,t){return!!this.disclosed&&(!(!this.type.canConceal&&this.group&&this.group.current===this)&&(this.pristine=!1,this.disclosed=!1,!e&&this.group&&this.group.current===this&&(this.group.current=null),t||this.focus(),this.descend(B.RESET),!0))}get disclosed(){return this._disclosed}set disclosed(e){if(this._disclosed!==e){this.dispatch(e?G.DISCLOSE:G.CONCEAL,this.type),this._disclosed=e,e?this.addClass(this.modifier):this.removeClass(this.modifier);for(let t=0;t<this.buttons.length;t++)this.buttons[t].apply(e)}}reset(){}toggle(e){if(this.type.canConceal)switch(!0){case!e:case this.disclosed:this.conceal();break;default:this.disclose()}else this.disclose()}get buttonHasFocus(){return!!this.buttons.some((e=>e.hasFocus))}get hasFocus(){return!!super.hasFocus||(!!this.buttonHasFocus||this.querySelectorAll(":focus").length>0)}focus(){for(let e=0;e<this.buttons.length;e++){const t=this.buttons[e];if(t.isPrimary)return void t.focus()}}dispose(){this._group=null,super.dispose(),this.ascend(B.REMOVED)}}class z extends P{constructor(e){super(),this.type=e,this.attributeName=e.ariaState?"aria-"+e.id:m.attr(e.id)}static get instanceClassName(){return"DisclosureButton"}init(){this.controlsId=this.getAttribute("aria-controls"),this.isPrimary=this.hasAttribute(this.attributeName),this.isPrimary&&this.disclosed&&this.registration.creator.pristine&&this.registration.creator.disclose(),this.listen("click",this.click.bind(this))}get proxy(){return Object.assign(super.proxy,{focus:this.focus.bind(this)})}click(e){this.registration.creator&&this.registration.creator.toggle(this.isPrimary)}mutate(e){this.isPrimary&&e.indexOf(this.attributeName)>-1&&this.registration.creator&&(this.disclosed?this.registration.creator.disclose():this.type.canConceal&&this.registration.creator.conceal())}apply(e){this.isPrimary&&this.setAttribute(this.attributeName,e)}get disclosed(){return"true"===this.getAttribute(this.attributeName)}}class U extends P{constructor(e,t){super(t),this.disclosureInstanceClassName=e,this._index=-1}static get instanceClassName(){return"DisclosuresGroup"}init(){this.addAscent(B.ADDED,this.update.bind(this)),this.addAscent(B.REMOVED,this.update.bind(this)),this.descend(B.GROUP),this.update()}get proxy(){const e=this,t={set index(t){e.index=t},get index(){return e.index},get length(){return e.length},get current(){const t=e.current;return t?t.proxy:null},get members(){return e.members.map((e=>e.proxy))},get hasFocus(){return e.hasFocus}};return $(super.proxy,t)}validate(e){return!0}getMembers(){const e=this.element.getDescendantInstances(this.disclosureInstanceClassName,this.constructor.instanceClassName,!0);this._members=e.filter(this.validate.bind(this))}update(){this.getMembers(),this.getIndex()}get members(){return this._members}get length(){return this.members.length}getIndex(){this._index=-1;for(let e=0;e<this.length;e++)this.index>-1?this.members[e].conceal(!0,!0):this.members[e].disclosed&&(this.index=e)}get index(){return this._index}set index(e){if(!(e<-1||e>=this.length||e===this._index)){this._index=e;for(let t=0;t<this.length;t++){const s=this.members[t];e===t?s.disclose(!0):s.conceal(!0,!0)}this.apply()}}get current(){return-1===this._index?null:this.members[this._index]}set current(e){this.index=this.members.indexOf(e)}get hasFocus(){const e=this.current;return!!e&&e.hasFocus}apply(){}dispose(){super.dispose(),this.descend(B.UNGROUP),this._members=null}}const F={EXPAND:{id:"expanded",ariaState:!0,ariaControls:!0,canConceal:!0},SELECT:{id:"selected",ariaState:!0,ariaControls:!0,canConceal:!1},OPENED:{id:"opened",ariaState:!1,ariaControls:!0,canConceal:!0}};class K extends z{constructor(){super(F.EXPAND)}static get instanceClassName(){return"CollapseButton"}}const W={COLLAPSE:m.selector("collapse")};const V={CHANGE:m("equisized")};const Y={INJECT_SVG:`[${m.attr("inject-svg")}]`};M.register((M.core={Instance:P,Breakpoints:H,KeyCodes:{TAB:9,ESCAPE:27,END:35,HOME:36,LEFT:37,UP:38,RIGHT:39,DOWN:40},Disclosure:q,DisclosureButton:z,DisclosuresGroup:U,DisclosureType:F,DisclosureEvent:G,DisclosureEmission:B,Collapse:class extends q{constructor(){super(F.EXPAND,W.COLLAPSE,K,"CollapsesGroup")}static get instanceClassName(){return"Collapse"}init(){super.init(),this.listen("transitionend",this.transitionend.bind(this))}transitionend(e){this.disclosed||(this.style.maxHeight="")}unbound(){this.style.maxHeight="none"}disclose(e){this.disclosed||(this.unbound(),this.adjust(),this.request((()=>{super.disclose(e)})))}conceal(e,t){this.disclosed&&(this.adjust(),this.request((()=>{super.conceal(e,t)})))}adjust(){this.setProperty("--collapser","none");const e=this.node.offsetHeight;this.setProperty("--collapse",-e+"px"),this.setProperty("--collapser","")}reset(){this.pristine||(this.disclosed=!1)}},CollapseButton:K,CollapsesGroup:class extends U{constructor(){super("Collapse")}static get instanceClassName(){return"CollapsesGroup"}},CollapseSelector:W,RootSelector:{ROOT:":root"},Equisized:class extends P{static get instanceClassName(){return"Equisized"}init(){this.ascend(V.CHANGE)}measure(){return this.style.width="auto",this.getRect().width}adjust(e){this.style.width=`${e}px`}dispose(){this.ascend(V.CHANGE)}},EquisizedEmission:V,EquisizedsGroup:class extends P{static get instanceClassName(){return"EquisizedsGroup"}init(){this.isResizing=!0,this.isLoading=!0,this.addAscent(V.CHANGE,this.resize.bind(this))}load(){this.resize()}resize(){const e=this.element.getDescendantInstances("Equisized"),t=Math.max(...e.map((e=>e.measure())));e.forEach((e=>e.adjust(t)))}},InjectSvg:class extends P{static get instanceClassName(){return"InjectSvg"}init(){this.node&&(this.img=this.node.querySelector("img")),this.isLegacy||this.replace()}get proxy(){const e=this;return Object.assign(super.proxy,{replace:e.replace.bind(e),restore:e.restore.bind(e)})}fetch(){this.img&&(this.imgID=this.img.getAttribute("id"),this.imgClass=this.img.getAttribute("class"),this.imgURL=this.img.getAttribute("src"),fetch(this.imgURL).then((e=>e.text())).then((e=>{const t=(new DOMParser).parseFromString(e,"text/html");this.svg=t.querySelector("svg"),this.svg&&this.replace()})))}replace(){if(!this.svg)return void this.fetch();this.imgID&&void 0!==this.imgID&&this.svg.setAttribute("id",this.imgID),this.imgClass&&void 0!==this.imgClass&&this.svg.setAttribute("class",this.imgClass),this.svg.hasAttribute("xmlns:a")&&this.svg.removeAttribute("xmlns:a"),this.node.setAttribute("data-fr-inject-svg",!0);var e,t;e=this.svg,t={"aria-hidden":!0,focusable:!1},Object.keys(t).forEach((s=>e.setAttribute(s,t[s]))),this.node.replaceChild(this.svg,this.img)}restore(){this.img&&this.svg&&(this.node.setAttribute("data-fr-inject-svg",!1),this.node.replaceChild(this.img,this.svg))}},InjectSvgSelector:Y}).CollapseSelector.COLLAPSE,M.core.Collapse),M.register(M.core.InjectSvgSelector.INJECT_SVG,M.core.InjectSvg),function(e,t){function s(e,t){var s=arguments.length>2?arguments[2]:[];if(!1===n(e))throw new TypeError(Object.prototype.toString.call(e)+"is not a function.");return e.apply(t,s)}function i(e,t){return e[t]}function n(e){return"function"==typeof e}function r(e){if(null===e||e===t)throw TypeError();return Object(e)}function o(e,s){var i=function(e,t){return r(e)[t]}(e,s);if(null===i||i===t)return t;if(!1===n(i))throw new TypeError("Method not callable: "+s);return i}function a(t){switch(typeof t){case"undefined":return"undefined";case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"symbol":return"symbol";default:return null===t?"null":"Symbol"in e&&(t instanceof e.Symbol||t.constructor===e.Symbol)?"symbol":"object"}}function c(e,t){if("string"===t)var r=["toString","valueOf"];else r=["valueOf","toString"];for(var o=0;o<r.length;++o){var c=i(e,r[o]);if(n(c)){var l=s(c,e);if("object"!==a(l))return l}}throw new TypeError("Cannot convert to primitive.")}function l(e,t){return a(e)===a(t)&&("number"===a(e)?!(!isNaN(e)||!isNaN(t))||1/e==1/0&&1/t==-1/0||1/e==-1/0&&1/t==1/0||e===t:function(e,t){return e===t}(e,t))}function h(e){if("symbol"===a(e))throw new TypeError("Cannot convert a Symbol value to a number");var t=Number(e);return isNaN(t)?0:1/t==1/0||1/t==-1/0||t===1/0||t===-1/0?t:(t<0?-1:1)*Math.floor(Math.abs(t))}function d(e){var t=h(e);return t<=0?0:Math.min(t,Math.pow(2,53)-1)}function u(i){switch(a(i)){case"symbol":throw new TypeError("Cannot convert a Symbol value to a string");case"object":return u(function(i){var n=arguments.length>1?arguments[1]:t;if("object"===a(i)){if(arguments.length<2)var r="default";else n===String?r="string":n===Number&&(r="number");var l="function"==typeof e.Symbol&&"symbol"==typeof e.Symbol.toPrimitive?o(i,e.Symbol.toPrimitive):t;if(l!==t){var h=s(l,i,[r]);if("object"!==a(h))return h;throw new TypeError("Cannot convert exotic object to primitive.")}return"default"===r&&(r="number"),c(i,r)}return i}(i,String));default:return String(i)}}var m,p,g,f;m=Array.prototype,p="includes",g=function(e){var t=r(this),s=d(i(t,"length"));if(0===s)return!1;var n=h(arguments[1]);if(n>=0)var o=n;else(o=s+n)<0&&(o=0);for(;o<s;){var a=i(t,u(o));if(l(e,a))return!0;o+=1}return!1},f={value:g,writable:!0,enumerable:!1,configurable:!0},Object.defineProperty(m,p,f),function(){function e(e,s){if(!e)throw new Error("Not enough arguments");var i;if("createEvent"in document){i=document.createEvent("Event");var n=!(!s||s.bubbles===t)&&s.bubbles,r=!(!s||s.cancelable===t)&&s.cancelable;return i.initEvent(e,n,r),i}return(i=document.createEventObject()).type=e,i.bubbles=!(!s||s.bubbles===t)&&s.bubbles,i.cancelable=!(!s||s.cancelable===t)&&s.cancelable,i}var s={click:1,dblclick:1,keyup:1,keypress:1,keydown:1,mousedown:1,mouseup:1,mousemove:1,mouseover:1,mouseenter:1,mouseleave:1,mouseout:1,storage:1,storagecommit:1,textinput:1};if("undefined"!=typeof document&&"undefined"!=typeof window){var i=window.Event&&window.Event.prototype||null;e.NONE=0,e.CAPTURING_PHASE=1,e.AT_TARGET=2,e.BUBBLING_PHASE=3,window.Event=Window.prototype.Event=e,i&&Object.defineProperty(window.Event,"prototype",{configurable:!1,enumerable:!1,writable:!0,value:i}),"createEvent"in document||(window.addEventListener=Window.prototype.addEventListener=Document.prototype.addEventListener=Element.prototype.addEventListener=function(){var e=this,t=arguments[0],i=arguments[1];if(e===window&&t in s)throw new Error("In IE8 the event: "+t+" is not available on the window object. Please see https://github.com/Financial-Times/polyfill-service/issues/317 for more information.");e._events||(e._events={}),e._events[t]||(e._events[t]=function(t){var s,i=e._events[t.type].list,n=i.slice(),r=-1,o=n.length;for(t.preventDefault=function(){!1!==t.cancelable&&(t.returnValue=!1)},t.stopPropagation=function(){t.cancelBubble=!0},t.stopImmediatePropagation=function(){t.cancelBubble=!0,t.cancelImmediate=!0},t.currentTarget=e,t.relatedTarget=t.fromElement||null,t.target=t.target||t.srcElement||e,t.timeStamp=(new Date).getTime(),t.clientX&&(t.pageX=t.clientX+document.documentElement.scrollLeft,t.pageY=t.clientY+document.documentElement.scrollTop);++r<o&&!t.cancelImmediate;)r in n&&(s=n[r],i.includes(s)&&"function"==typeof s&&s.call(e,t))},e._events[t].list=[],e.attachEvent&&e.attachEvent("on"+t,e._events[t])),e._events[t].list.push(i)},window.removeEventListener=Window.prototype.removeEventListener=Document.prototype.removeEventListener=Element.prototype.removeEventListener=function(){var e,t=this,s=arguments[0],i=arguments[1];t._events&&t._events[s]&&t._events[s].list&&-1!==(e=t._events[s].list.indexOf(i))&&(t._events[s].list.splice(e,1),t._events[s].list.length||(t.detachEvent&&t.detachEvent("on"+s,t._events[s]),delete t._events[s]))},window.dispatchEvent=Window.prototype.dispatchEvent=Document.prototype.dispatchEvent=Element.prototype.dispatchEvent=function(e){if(!arguments.length)throw new Error("Not enough arguments");if(!e||"string"!=typeof e.type)throw new Error("DOM Events Exception 0");var t=this,s=e.type;try{if(!e.bubbles){e.cancelBubble=!0;var i=function(e){e.cancelBubble=!0,(t||window).detachEvent("on"+s,i)};this.attachEvent("on"+s,i)}this.fireEvent("on"+s,e)}catch(i){e.target=t;do{e.currentTarget=t,"_events"in t&&"function"==typeof t._events[s]&&t._events[s].call(t,e),"function"==typeof t["on"+s]&&t["on"+s].call(t,e),t=9===t.nodeType?t.parentWindow:t.parentNode}while(t&&!e.cancelBubble)}return!0},document.attachEvent("onreadystatechange",(function(){"complete"===document.readyState&&document.dispatchEvent(new e("DOMContentLoaded",{bubbles:!0}))})))}}(),e.CustomEvent=function(e,t){if(!e)throw Error('TypeError: Failed to construct "CustomEvent": An event name must be provided.');var s;if(t=t||{bubbles:!1,cancelable:!1,detail:null},"createEvent"in document)try{(s=document.createEvent("CustomEvent")).initCustomEvent(e,t.bubbles,t.cancelable,t.detail)}catch(i){(s=document.createEvent("Event")).initEvent(e,t.bubbles,t.cancelable),s.detail=t.detail}else(s=new Event(e,t)).detail=t&&t.detail||null;return s},CustomEvent.prototype=Event.prototype}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(e,t){!function(t){function s(e,t){if("change"===e&&this.addListener(t),arguments[2]&&arguments[2].once){var s=this,i=function(){s.removeListener(i),s.removeListener(t)};this.addListener(i)}}function i(e,t){"change"===e&&this.removeListener(t)}var n=function(){try{var e={};return t.Object.defineProperty(e,"t",{configurable:!0,enumerable:!1,get:function(){return this._v},set:function(e){this._v=e+e}}),e.t=1,2===e.t}catch(e){return!1}}(),r={enumerable:!0,configurable:!0,get:function(){return this._onchangeHandler||null},set:function(e){var t=this;t._onchangeListener||(t._onchangeListener=function(){"function"==typeof t._onchangeHandler&&t._onchangeHandler.call(t,arguments[0])},t.addEventListener("change",t._onchangeListener)),t._onchangeHandler=e}};if("MediaQueryList"in t){var o=t.MediaQueryList.prototype.addListener,a=t.MediaQueryList.prototype.removeListener;t.MediaQueryList.prototype.addListener=function(e){var t=e;t.handleEvent&&(t=t.handleEvent),o.call(this,t)},t.MediaQueryList.prototype.removeListener=function(e){var t=e;t.handleEvent&&(t=t.handleEvent),a.call(this,t)},t.MediaQueryList.prototype.addEventListener=s,t.MediaQueryList.prototype.removeEventListener=i,n&&t.Object.defineProperty(t.MediaQueryList.prototype,"onchange",r)}else{var c=e.matchMedia;e.matchMedia=function(e){var o=c(e),a=o.addListener,l=o.removeListener;return o.addListener=function(e){var t=e;t.handleEvent&&(t=t.handleEvent),a.call(this,t)},o.removeListener=function(e){var t=e;t.handleEvent&&(t=t.handleEvent),l.call(this,t)},o.addEventListener=s,o.removeEventListener=i,n&&t.Object.defineProperty(o,"onchange",r),o}}}(e)}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(e,t){var s,i=function(){var e=!0,s=function(t,s,i,n){Object.defineProperty?Object.defineProperty(t,s,{configurable:!1===e||!!n,get:i}):t.__defineGetter__(s,i)};try{s({},"support")}catch(t){e=!1}return function(e,i){var n=this,r=[],o={},a=0,c=0,l=function(e){s(n,e,(function(){return d(),r[e]}),!1)},h=function(){if(a>=c)for(;c<a;++c)l(c)},d=function(){var t,s,n=arguments,c=/\s+/;if(n.length)for(s=0;s<n.length;++s)if(c.test(n[s]))throw(t=new SyntaxError('String "'+n[s]+'" contains an invalid character')).code=5,t.name="InvalidCharacterError",t;for(""===(r="object"==typeof e[i]?(""+e[i].baseVal).replace(/^\s+|\s+$/g,"").split(c):(""+e[i]).replace(/^\s+|\s+$/g,"").split(c))[0]&&(r=[]),o={},s=0;s<r.length;++s)o[r[s]]=!0;a=r.length,h()};return d(),s(n,"length",(function(){return d(),a})),n.toLocaleString=n.toString=function(){return d(),r.join(" ")},n.item=function(e){return d(),r[e]},n.contains=function(e){return d(),!!o[e]},n.add=function(){d.apply(n,t=arguments);for(var t,s,c=0,l=t.length;c<l;++c)s=t[c],o[s]||(r.push(s),o[s]=!0);a!==r.length&&(a=r.length>>>0,"object"==typeof e[i]?e[i].baseVal=r.join(" "):e[i]=r.join(" "),h())},n.remove=function(){d.apply(n,t=arguments);for(var t,s={},c=0,l=[];c<t.length;++c)s[t[c]]=!0,delete o[t[c]];for(c=0;c<r.length;++c)s[r[c]]||l.push(r[c]);r=l,a=l.length>>>0,"object"==typeof e[i]?e[i].baseVal=r.join(" "):e[i]=r.join(" "),h()},n.toggle=function(e,s){return d.apply(n,[e]),t!==s?s?(n.add(e),!0):(n.remove(e),!1):o[e]?(n.remove(e),!1):(n.add(e),!0)},n.forEach=Array.prototype.forEach,n}}();"DOMTokenList"in(s=e)&&s.DOMTokenList&&(!document.createElementNS||!document.createElementNS("http://www.w3.org/2000/svg","svg")||document.createElementNS("http://www.w3.org/2000/svg","svg").classList instanceof DOMTokenList)||(s.DOMTokenList=i),function(){var e=document.createElement("span");"classList"in e&&(e.classList.toggle("x",!1),e.classList.contains("x")&&(e.classList.constructor.prototype.toggle=function(e){var s=arguments[1];if(s===t){var i=!this.contains(e);return this[i?"add":"remove"](e),i}return s=!!s,this[s?"add":"remove"](e),s}))}(),function(){var e=document.createElement("span");if("classList"in e&&(e.classList.add("a","b"),!e.classList.contains("b"))){var t=e.classList.constructor.prototype.add;e.classList.constructor.prototype.add=function(){for(var e=arguments,s=arguments.length,i=0;i<s;i++)t.call(this,e[i])}}}(),function(){var e=document.createElement("span");if("classList"in e&&(e.classList.add("a"),e.classList.add("b"),e.classList.remove("a","b"),e.classList.contains("b"))){var t=e.classList.constructor.prototype.remove;e.classList.constructor.prototype.remove=function(){for(var e=arguments,s=arguments.length,i=0;i<s;i++)t.call(this,e[i])}}}(),function(e){var t=!0,s=function(e,s,i,n){Object.defineProperty?Object.defineProperty(e,s,{configurable:!1===t||!!n,get:i}):e.__defineGetter__(s,i)};try{s({},"support")}catch(e){t=!1}var n=function(e,r,o){s(e.prototype,r,(function(){var e,a=this,c="__defineGetter__DEFINE_PROPERTY"+r;if(a[c])return e;if(a[c]=!0,!1===t){for(var l,h=n.mirror||document.createElement("div"),d=h.childNodes,u=d.length,m=0;m<u;++m)if(d[m]._R===a){l=d[m];break}l||(l=h.appendChild(document.createElement("div"))),e=DOMTokenList.call(l,a,o)}else e=new i(a,o);return s(a,r,(function(){return e})),delete a[c],e}),!0)};n(e.Element,"classList","className"),n(e.HTMLElement,"classList","className"),n(e.HTMLLinkElement,"relList","rel"),n(e.HTMLAnchorElement,"relList","rel"),n(e.HTMLAreaElement,"relList","rel")}(e),function(e){e.DOMTokenList.prototype.forEach=e.Array.prototype.forEach;var t=document.createElement("span");t.classList&&t.classList.constructor&&t.classList.constructor.prototype&&!t.classList.constructor.prototype.forEach&&(t.classList.constructor.prototype.forEach=e.Array.prototype.forEach)}(e),NodeList.prototype.forEach=Array.prototype.forEach}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(e,t){!function(){function t(e){if(!(0 in arguments))throw new TypeError("1 argument is required");do{if(this===e)return!0}while(e=e&&e.parentNode);return!1}if("HTMLElement"in e&&"contains"in HTMLElement.prototype)try{delete HTMLElement.prototype.contains}catch(e){}"Node"in e?Node.prototype.contains=t:document.contains=Element.prototype.contains=t}()}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),Element.prototype.matches=Element.prototype.webkitMatchesSelector||Element.prototype.oMatchesSelector||Element.prototype.msMatchesSelector||Element.prototype.mozMatchesSelector||function(e){for(var t=this,s=(t.document||t.ownerDocument).querySelectorAll(e),i=0;s[i]&&s[i]!==t;)++i;return!!s[i]};const Q=window[s],X={SYSTEM:"system",LIGHT:"light",DARK:"dark"},Z={THEME:Q.ns.attr("theme"),SCHEME:Q.ns.attr("scheme"),TRANSITION:Q.ns.attr("transition")},J={LIGHT:"light",DARK:"dark"},ee={SCHEME:Q.ns.emission("scheme","scheme"),THEME:Q.ns.emission("scheme","theme"),ASK:Q.ns.emission("scheme","ask")};class te extends Q.core.Instance{constructor(){super(!1)}static get instanceClassName(){return"Scheme"}init(){this.changing=this.change.bind(this),this.hasAttribute(Z.TRANSITION)&&(this.removeAttribute(Z.TRANSITION),this.request(this.restoreTransition.bind(this)));const e=localStorage.getItem("scheme"),t=this.getAttribute(Z.SCHEME);switch(e){case X.DARK:case X.LIGHT:case X.SYSTEM:this.scheme=e;break;default:switch(t){case X.DARK:this.scheme=X.DARK;break;case X.LIGHT:this.scheme=X.LIGHT;break;default:this.scheme=X.SYSTEM}}this.addAscent(ee.ASK,this.ask.bind(this)),this.addAscent(ee.SCHEME,this.apply.bind(this))}get proxy(){const e=this,t={get scheme(){return e.scheme},set scheme(t){e.scheme=t}};return $(super.proxy,t)}restoreTransition(){this.setAttribute(Z.TRANSITION,"")}ask(){this.descend(ee.SCHEME,this.scheme)}apply(e){this.scheme=e}get scheme(){return this._scheme}set scheme(e){if(this._scheme!==e){switch(this._scheme=e,e){case X.SYSTEM:this.listenPreferences();break;case X.DARK:this.unlistenPreferences(),this.theme=J.DARK;break;case X.LIGHT:this.unlistenPreferences(),this.theme=J.LIGHT;break;default:return void(this.scheme=X.SYSTEM)}this.descend(ee.SCHEME,e),localStorage.setItem("scheme",e),this.setAttribute(Z.SCHEME,e)}}get theme(){return this._theme}set theme(e){if(this._theme!==e)switch(e){case J.LIGHT:case J.DARK:this._theme=e,this.setAttribute(Z.THEME,e),this.descend(ee.THEME,e)}}listenPreferences(){this.isListening||(this.isListening=!0,this.mediaQuery=window.matchMedia("(prefers-color-scheme: dark)"),this.mediaQuery.addEventListener("change",this.changing),this.change())}unlistenPreferences(){this.isListening&&(this.isListening=!1,this.mediaQuery.removeEventListener("change",this.changing),this.mediaQuery=null)}change(){this.isListening&&(this.theme=this.mediaQuery.matches?J.DARK:J.LIGHT)}mutate(e){e.indexOf(Z.SCHEME)>-1&&(this.scheme=this.getAttribute(Z.SCHEME)),e.indexOf(Z.THEME)>-1&&(this.theme=this.getAttribute(Z.THEME))}dispose(){this.unlistenPreferences()}}const se={SCHEME:`:root${Q.ns.attr.selector("theme")}, :root${Q.ns.attr.selector("scheme")}`,SWITCH_THEME:Q.ns.selector("switch-theme"),RADIO_BUTTONS:`input[name="${Q.ns("radios-theme")}"]`};Q.scheme={Scheme:te,SchemeValue:X,SchemeSelector:se,SchemeEmission:ee,SchemeTheme:J},Q.register(Q.scheme.SchemeSelector.SCHEME,Q.scheme.Scheme);const ie={GROUP:Q.ns.selector("accordions-group"),COLLAPSE:`${Q.ns.selector("accordion")} > ${Q.ns.selector("collapse")}`};class ne extends Q.core.CollapsesGroup{static get instanceClassName(){return"AccordionsGroup"}validate(e){return e.node.matches(ie.COLLAPSE)}}Q.accordion={AccordionSelector:ie,AccordionsGroup:ne},Q.register(Q.accordion.AccordionSelector.GROUP,Q.accordion.AccordionsGroup);const re={EQUISIZED_BUTTON:`${Q.ns.selector("btns-group--equisized")} ${Q.ns.selector("btn")}`,EQUISIZED_GROUP:Q.ns.selector("btns-group--equisized")};Q.button={ButtonSelector:re},Q.register(Q.button.ButtonSelector.EQUISIZED_BUTTON,Q.core.Equisized),Q.register(Q.button.ButtonSelector.EQUISIZED_GROUP,Q.core.EquisizedsGroup);class oe extends Q.core.Instance{constructor(){super(),this.count=0,this.focusing=this.focus.bind(this)}static get instanceClassName(){return"Breadcrumb"}init(){this.getCollapse(),this.isResizing=!0}get proxy(){const e=this;return Object.assign(super.proxy,{focus:e.focus.bind(e),disclose:e.collapse.disclose.bind(e.collapse)})}getCollapse(){const e=this.collapse;e?e.listen(Q.core.DisclosureEvent.DISCLOSE,this.focusing):this.addAscent(Q.core.DisclosureEmission.ADDED,this.getCollapse.bind(this))}resize(){const e=this.collapse,t=this.links;e&&t.length&&(this.isBreakpoint(Q.core.Breakpoints.MD)?e.buttonHasFocus&&t[0].focus():t.indexOf(document.activeElement)>-1&&e.focus())}get links(){return[...this.querySelectorAll("a[href]")]}get collapse(){return this.element.getDescendantInstances(Q.core.Collapse.instanceClassName,null,!0)[0]}focus(){this.count=0,this._focus()}_focus(){const e=this.links[0];e&&(e.focus(),this.request(this.verify.bind(this)))}verify(){if(this.count++,this.count>100)return;const e=this.links[0];e&&document.activeElement!==e&&this._focus()}}const ae={BREADCRUMB:Q.ns.selector("breadcrumb")};Q.breadcrumb={BreadcrumbSelector:ae,Breadcrumb:oe},Q.register(Q.breadcrumb.BreadcrumbSelector.BREADCRUMB,Q.breadcrumb.Breadcrumb);const ce={LIST:Q.ns.selector("sidemenu__list"),COLLAPSE:`${Q.ns.selector("sidemenu__item")} > ${Q.ns.selector("collapse")}`};class le extends Q.core.CollapsesGroup{static get instanceClassName(){return"SidemenuList"}validate(e){return e.node.matches(ce.COLLAPSE)}}Q.sidemenu={SidemenuList:le,SidemenuSelector:ce},Q.register(Q.sidemenu.SidemenuSelector.LIST,Q.sidemenu.SidemenuList);const he={MODAL:Q.ns.selector("modal"),SCROLL_SHADOW:Q.ns.selector("scroll-shadow"),BODY:Q.ns.selector("modal__body")};class de extends Q.core.DisclosureButton{constructor(){super(Q.core.DisclosureType.OPENED)}static get instanceClassName(){return"ModalButton"}}const ue={ACTIVATE:Q.ns.emission("modal","activate"),DEACTIVATE:Q.ns.emission("modal","deactivate")},me={CONCEALING_BACKDROP:Q.ns.attr("concealing-backdrop")};class pe extends Q.core.Disclosure{constructor(){super(Q.core.DisclosureType.OPENED,he.MODAL,de,"ModalsGroup"),this.scrolling=this.resize.bind(this,!1),this.resizing=this.resize.bind(this,!0)}static get instanceClassName(){return"Modal"}init(){super.init(),this.listen("click",this.click.bind(this)),this.listenKey(Q.core.KeyCodes.ESCAPE,this.conceal.bind(this,!1,!1),!0,!0)}click(e){e.target===this.node&&"false"!==this.getAttribute(me.CONCEALING_BACKDROP)&&this.conceal()}disclose(e){return!!super.disclose(e)&&(this.descend(ue.ACTIVATE),this.isScrollLocked=!0,this.setAttribute("aria-modal","true"),!0)}conceal(e,t){return!!super.conceal(e,t)&&(this.isScrollLocked=!1,this.removeAttribute("aria-modal"),this.descend(ue.DEACTIVATE),!0)}}const ge=['[tabindex="0"]',"a[href]","button:not([disabled])","input:not([disabled])","select:not([disabled])","textarea:not([disabled])","audio[controls]","video[controls]",'[contenteditable]:not([contenteditable="false"])',"details>summary:first-of-type","details","iframe"].join(),fe=['[tabindex]:not([tabindex="-1"]):not([tabindex="0"])'].join(),be=(e,t)=>{if(!(e instanceof Element))return!1;const s=window.getComputedStyle(e);if(!s)return!1;if("hidden"===s.visibility)return!1;for(void 0===t&&(t=e);t.contains(e);){if("none"===s.display)return!1;e=e.parentElement}return!0};class ve{constructor(e,t){this.element=null,this.activeElement=null,this.onTrap=e,this.onUntrap=t,this.waiting=this.wait.bind(this),this.handling=this.handle.bind(this),this.focusing=this.maintainFocus.bind(this),this.current=null}get trapped(){return null!==this.element}trap(e){this.trapped&&this.untrap(),this.element=e,this.isTrapping=!0,this.wait(),this.onTrap&&this.onTrap()}wait(){be(this.element)?this.trapping():window.requestAnimationFrame(this.waiting)}trapping(){if(!this.isTrapping)return;this.isTrapping=!1;const e=this.focusables;e.length&&e[0].focus(),this.element.setAttribute("aria-modal",!0),window.addEventListener("keydown",this.handling),document.body.addEventListener("focus",this.focusing,!0)}stun(e){for(const t of e.children)t!==this.element&&(t.contains(this.element)?this.stun(t):this.stunneds.push(new ye(t)))}maintainFocus(e){if(!this.element.contains(e.target)){const t=this.focusables;if(0===t.length)return;const s=t[0];e.preventDefault(),s.focus()}}handle(e){if(9!==e.keyCode)return;const t=this.focusables;if(0===t.length)return;const s=t[0],i=t[t.length-1],n=t.indexOf(document.activeElement);e.shiftKey?!this.element.contains(document.activeElement)||n<1?(e.preventDefault(),i.focus()):(document.activeElement.tabIndex>0||t[n-1].tabIndex>0)&&(e.preventDefault(),t[n-1].focus()):this.element.contains(document.activeElement)&&n!==t.length-1&&-1!==n?document.activeElement.tabIndex>0&&(e.preventDefault(),t[n+1].focus()):(e.preventDefault(),s.focus())}get focusables(){let e=Q.querySelectorAllArray(this.element,ge);const t=Q.querySelectorAllArray(document.documentElement,'input[type="radio"]');if(t.length){const s={};for(const e of t){const t=e.getAttribute("name");void 0===s[t]&&(s[t]=new Ee(t)),s[t].push(e)}e=e.filter((e=>{if("input"!==e.tagName.toLowerCase()||"radio"!==e.getAttribute("type").toLowerCase())return!0;const t=e.getAttribute("name");return s[t].keep(e)}))}const s=Q.querySelectorAllArray(this.element,fe);s.sort(((e,t)=>e.tabIndex-t.tabIndex));const i=e.filter((e=>-1===s.indexOf(e)));return s.concat(i).filter((e=>"-1"!==e.tabIndex&&be(e,this.element)))}untrap(){this.trapped&&(this.isTrapping=!1,this.element.removeAttribute("aria-modal"),window.removeEventListener("keydown",this.handling),document.body.removeEventListener("focus",this.focusing,!0),this.element=null,this.onUntrap&&this.onUntrap())}dispose(){this.untrap()}}class ye{constructor(e){this.element=e,this.inert=e.getAttribute("inert"),this.element.setAttribute("inert","")}unstun(){null===this.inert?this.element.removeAttribute("inert"):this.element.setAttribute("inert",this.inert)}}class Ee{constructor(e){this.name=e,this.buttons=[]}push(e){this.buttons.push(e),(e===document.activeElement||e.checked||void 0===this.selected)&&(this.selected=e)}keep(e){return this.selected===e}}class _e extends Q.core.DisclosuresGroup{constructor(){super("Modal",!1),this.focusTrap=new ve}static get instanceClassName(){return"ModalsGroup"}apply(e,t){super.apply(e,t),null===this.current?this.focusTrap.untrap():this.focusTrap.trap(this.current.node)}}class Le extends Q.core.Instance{static get instanceClassName(){return"ModalBody"}init(){this.listen("scroll",this.shade.bind(this)),this.addDescent(ue.ACTIVATE,this.activate.bind(this)),this.addDescent(ue.DEACTIVATE,this.deactivate.bind(this))}activate(){this.isResizing=!0,this.resize()}deactivate(){this.isResizing=!1}shade(){this.node.scrollHeight>this.node.clientHeight?this.node.offsetHeight+this.node.scrollTop>=this.node.scrollHeight?this.removeClass(he.SCROLL_SHADOW):this.addClass(he.SCROLL_SHADOW):this.removeClass(he.SCROLL_SHADOW)}resize(){this.adjust(),this.request(this.adjust.bind(this))}adjust(){const e=32*(this.isBreakpoint(Q.core.Breakpoints.MD)?2:1);this.style.maxHeight=window.innerHeight-e+"px",this.shade()}}Q.modal={Modal:pe,ModalButton:de,ModalBody:Le,ModalsGroup:_e,ModalSelector:he},Q.register(Q.modal.ModalSelector.MODAL,Q.modal.Modal),Q.register(Q.modal.ModalSelector.BODY,Q.modal.ModalBody),Q.register(Q.core.RootSelector.ROOT,Q.modal.ModalsGroup);const Ae={NAVIGATION:Q.ns.selector("nav"),COLLAPSE:`${Q.ns.selector("nav__item")} > ${Q.ns.selector("collapse")}`,ITEM:Q.ns.selector("nav__item"),ITEM_RIGHT:Q.ns("nav__item--align-right"),MENU:Q.ns.selector("menu")};class Se extends Q.core.Instance{constructor(){super(),this._isRightAligned=!1}static get instanceClassName(){return"NavigationItem"}init(){this.addAscent(Q.core.DisclosureEmission.ADDED,this.calculate.bind(this)),this.addAscent(Q.core.DisclosureEmission.REMOVED,this.calculate.bind(this)),this.isResizing=!0,this.calculate()}resize(){this.calculate()}calculate(){const e=this.element.getDescendantInstances(Q.core.Collapse.instanceClassName,null,!0)[0];if(e&&this.isBreakpoint(Q.core.Breakpoints.LG)&&e.element.node.matches(Ae.MENU)){const t=this.element.node.parentElement.getBoundingClientRect().right,s=e.element.node.getBoundingClientRect().width,i=this.element.node.getBoundingClientRect().left;this.isRightAligned=i+s>t}else this.isRightAligned=!1}get isRightAligned(){return this._isRightAligned}set isRightAligned(e){this._isRightAligned!==e&&(this._isRightAligned=e,e?Q.addClass(this.element.node,Ae.ITEM_RIGHT):Q.removeClass(this.element.node,Ae.ITEM_RIGHT))}}const Ce={NONE:-1,INSIDE:0,OUTSIDE:1};class we extends Q.core.CollapsesGroup{static get instanceClassName(){return"Navigation"}init(){super.init(),this.clicked=!1,this.out=!1,this.listen("focusout",this.focusOut.bind(this)),this.listen("mousedown",this.down.bind(this))}validate(e){return e.element.node.matches(Ae.COLLAPSE)}down(e){this.isBreakpoint(Q.core.Breakpoints.LG)&&-1!==this.index&&this.current&&(this.position=this.current.element.node.contains(e.target)?Ce.INSIDE:Ce.OUTSIDE,this.request(this.getPosition.bind(this)))}focusOut(e){this.isBreakpoint(Q.core.Breakpoints.LG)&&(this.out=!0,this.request(this.getPosition.bind(this)))}getPosition(){if(this.out)switch(this.position){case Ce.OUTSIDE:this.index=-1;break;case Ce.INSIDE:this.current&&this.current.focus();break;default:this.index>-1&&!this.current.hasFocus&&(this.index=-1)}this.position=Ce.NONE,this.out=!1}get index(){return super.index}set index(e){-1===e&&null!==this.current&&this.current.hasFocus&&this.current.focus(),super.index=e}}Q.navigation={Navigation:we,NavigationItem:Se,NavigationMousePosition:Ce,NavigationSelector:Ae},Q.register(Q.navigation.NavigationSelector.NAVIGATION,Q.navigation.Navigation),Q.register(Q.navigation.NavigationSelector.ITEM,Q.navigation.NavigationItem);class Te extends Q.core.DisclosureButton{constructor(){super(Q.core.DisclosureType.SELECT)}static get instanceClassName(){return"TabButton"}apply(e){super.apply(e),this.isPrimary&&this.setAttribute("tabindex",e?"0":"-1")}}const Ne={TAB:Q.ns.selector("tabs__tab"),GROUP:Q.ns.selector("tabs"),PANEL:Q.ns.selector("tabs__panel"),LIST:Q.ns.selector("tabs__list")};class Oe extends Q.core.Disclosure{constructor(){super(Q.core.DisclosureType.SELECT,Ne.PANEL,Te,"TabsGroup")}static get instanceClassName(){return"TabPanel"}translate(e,t){this.style.transition=t?"none":"",this.style.transform=`translate(${100*e}%)`}reset(){this.group.index=0}}class Ie extends Q.core.DisclosuresGroup{constructor(){super("TabPanel")}static get instanceClassName(){return"TabsGroup"}init(){super.init(),this.list=this.querySelector(Ne.LIST),this.listen("transitionend",this.transitionend.bind(this)),this.listenKey(Q.core.KeyCodes.RIGHT,this.pressRight.bind(this),!0,!0),this.listenKey(Q.core.KeyCodes.LEFT,this.pressLeft.bind(this),!0,!0),this.listenKey(Q.core.KeyCodes.HOME,this.pressHome.bind(this),!0,!0),this.listenKey(Q.core.KeyCodes.END,this.pressEnd.bind(this),!0,!0),this.isRendering=!0}transitionend(e){this.style.transition="none"}get buttonHasFocus(){return this.members.some((e=>e.buttonHasFocus))}pressRight(){this.buttonHasFocus&&(this.index<this.length-1?this.index++:this.index=0,this.focus())}pressLeft(){this.buttonHasFocus&&(this.index>0?this.index--:this.index=this.length-1,this.focus())}pressHome(){this.buttonHasFocus&&(this.index=0,this.focus())}pressEnd(){this.buttonHasFocus&&(this.index=this.length-1,this.focus())}focus(){this.current&&this.current.focus()}apply(){for(let e=0;e<this._index;e++)this.members[e].translate(-1);this.current.style.transition="",this.current.style.transform="";for(let e=this._index+1;e<this.length;e++)this.members[e].translate(1);this.style.transition=""}render(){if(null===this.current)return;const e=Math.round(this.current.node.offsetHeight);this.panelHeight!==e&&(this.panelHeight=e,this.style.height=this.panelHeight+this.list.offsetHeight+"px")}}Q.tab={TabPanel:Oe,TabButton:Te,TabsGroup:Ie,TabSelector:Ne},Q.register(Q.tab.TabSelector.PANEL,Q.tab.TabPanel),Q.register(Q.tab.TabSelector.GROUP,Q.tab.TabsGroup);const xe={SCROLLABLE:Q.ns.emission("table","scrollable"),CHANGE:Q.ns.emission("table","change"),CAPTION_HEIGHT:Q.ns.emission("table","captionheight")};class De extends Q.core.Instance{static get instanceClassName(){return"Table"}init(){this.addAscent(xe.CAPTION_HEIGHT,this.setCaptionHeight.bind(this))}setCaptionHeight(e){this.setProperty("--table-offset",`calc(${e}px + 1rem)`)}}const Me={TABLE:Q.ns.selector("table"),SHADOW:Q.ns.selector("table__shadow"),SHADOW_LEFT:Q.ns.selector("table__shadow--left"),SHADOW_RIGHT:Q.ns.selector("table__shadow--right"),ELEMENT:`${Q.ns.selector("table")}:not(${Q.ns.selector("table--no-scroll")}) table`,CAPTION:`${Q.ns.selector("table")} table caption`};class ke extends Q.core.Instance{static get instanceClassName(){return"TableElement"}init(){this.listen("scroll",this.scroll.bind(this)),this.content=this.querySelector("tbody"),this.isResizing=!0}get isScrolling(){return this._isScrolling}set isScrolling(e){this._isScrolling!==e&&(this._isScrolling=e,e?(this.addClass(Me.SHADOW),this.scroll()):(this.removeClass(Me.SHADOW),this.removeClass(Me.SHADOW_LEFT),this.removeClass(Me.SHADOW_RIGHT)))}scroll(){const e=this.node.scrollLeft<=8,t=this.content.offsetWidth-this.node.offsetWidth-8,s=Math.abs(this.node.scrollLeft)>=t,i="rtl"===document.documentElement.getAttribute("dir"),n=i?Me.SHADOW_RIGHT:Me.SHADOW_LEFT,r=i?Me.SHADOW_LEFT:Me.SHADOW_RIGHT;e?this.removeClass(n):this.addClass(n),s?this.removeClass(r):this.addClass(r)}resize(){this.isScrolling=this.content.offsetWidth>this.node.offsetWidth}dispose(){this.isScrolling=!1}}class Re extends Q.core.Instance{static get instanceClassName(){return"TableCaption"}init(){this.height=0,this.isResizing=!0}resize(){const e=this.getRect().height;this.height!==e&&(this.height=e,this.ascend(xe.CAPTION_HEIGHT,e))}}Q.table={Table:De,TableElement:ke,TableCaption:Re,TableSelector:Me},Q.register(Q.table.TableSelector.TABLE,Q.table.Table),Q.register(Q.table.TableSelector.ELEMENT,Q.table.TableElement),Q.register(Q.table.TableSelector.CAPTION,Q.table.TableCaption);const He={HEADER:Q.ns.selector("header"),TOOLS_LINKS:Q.ns.selector("header__tools-links"),MENU_LINKS:Q.ns.selector("header__menu-links"),LINKS:`${Q.ns.selector("header__tools-links")} ${Q.ns.selector("links-group")}`,MODALS:`${Q.ns.selector("header__search")}${Q.ns.selector("modal")}, ${Q.ns.selector("header__menu")}${Q.ns.selector("modal")}`};class Pe extends Q.core.Instance{static get instanceClassName(){return"HeaderLinks"}init(){const e=this.queryParentSelector(He.HEADER);this.toolsLinks=e.querySelector(He.TOOLS_LINKS),this.menuLinks=e.querySelector(He.MENU_LINKS);if(this.toolsLinks.innerHTML.replace(/  +/g," ")!==this.menuLinks.innerHTML.replace(/  +/g," "))switch(Q.mode){case Q.Modes.ANGULAR:case Q.Modes.REACT:case Q.Modes.VUE:Q.inspector.warn(`header__tools-links content is different from header__menu-links content.\nAs you're using a dynamic framework, you should handle duplication of this content yourself, please refer to documentation: \n${Q.header.doc}`);break;default:this.menuLinks.innerHTML=this.toolsLinks.innerHTML}}}class je extends Q.core.Instance{static get instanceClassName(){return"HeaderModal"}init(){this.isResizing=!0}resize(){this.isBreakpoint(Q.core.Breakpoints.LG)?this.unqualify():this.qualify()}qualify(){this.setAttribute("role","dialog");const e=this.element.getInstance("Modal");if(!e)return;const t=e.buttons;let s="";for(const e of t)if(s=e.id||s,e.isPrimary&&s)break;this.setAttribute("aria-labelledby",s)}unqualify(){const e=this.element.getInstance("Modal");e&&e.conceal(),this.removeAttribute("role"),this.removeAttribute("aria-labelledby")}}Q.header={HeaderLinks:Pe,HeaderModal:je,HeaderSelector:He,doc:"https://gouvfr.atlassian.net/wiki/spaces/DB/pages/222789846/En-t+te+-+Header"},Q.register(Q.header.HeaderSelector.LINKS,Q.header.HeaderLinks),Q.register(Q.header.HeaderSelector.MODALS,Q.header.HeaderModal);const Ge={DISPLAY:Q.ns.selector("display"),RADIO_BUTTONS:`input[name="${Q.ns("radios-theme")}"]`,FIELDSET:Q.ns.selector("fieldset")};class Be extends Q.core.Instance{static get instanceClassName(){return"Display"}init(){if(this.radios=this.querySelectorAll(Ge.RADIO_BUTTONS),Q.scheme){this.changing=this.change.bind(this);for(const e of this.radios)e.addEventListener("change",this.changing);this.addDescent(Q.scheme.SchemeEmission.SCHEME,this.apply.bind(this)),this.ascend(Q.scheme.SchemeEmission.ASK)}else this.querySelector(Ge.FIELDSET).setAttribute("disabled","")}get scheme(){return this._scheme}set scheme(e){if(this._scheme!==e&&Q.scheme)switch(e){case Q.scheme.SchemeValue.SYSTEM:case Q.scheme.SchemeValue.LIGHT:case Q.scheme.SchemeValue.DARK:this._scheme=e;for(const t of this.radios)t.checked=t.value===e;this.ascend(Q.scheme.SchemeEmission.SCHEME,e)}}change(){for(const e of this.radios)if(e.checked)return void(this.scheme=e.value)}apply(e){this.scheme=e}dispose(){for(const e of this.radios)e.removeEventListener("change",this.changing)}}Q.display={Display:Be,DisplaySelector:Ge},Q.register(Q.display.DisplaySelector.DISPLAY,Q.display.Display);
//# sourceMappingURL=dsfr.module.min.js.map
