/*! DSFR v1.2.1 | SPDX-License-Identifier: MIT | License-Filename: LICENSE.md | restricted use (see terms and conditions) */
!function(){"use strict";var t=function(){this.modules={}},e={isActive:{configurable:!0},isLegacy:{configurable:!0}};t.prototype.create=function(t){var e=new t;this.modules[e.type]=e},t.prototype.getModule=function(t){return this.modules[t]},t.prototype.add=function(t,e){this.modules[t].add(e)},t.prototype.remove=function(t,e){this.modules[t].remove(e)},e.isActive.get=function(){return this._isActive},e.isActive.set=function(t){var e=this;if(t!==this._isActive){this._isActive=t;var n=Object.keys(this.modules).map((function(t){return e.modules[t]}));if(t)for(var i=0,o=n;i<o.length;i+=1){o[i].activate()}else for(var s=0,r=n;s<r.length;s+=1){r[s].deactivate()}}},e.isLegacy.get=function(){return this._isLegacy},e.isLegacy.set=function(t){t!==this._isLegacy&&(this._isLegacy=t)},Object.defineProperties(t.prototype,e);var n=new t,i="fr",o="dsfr",s="1.2.1",r=function(t,e,n,i){switch(this.level=t,this.light=e,this.dark=n,i){case"warn":this.logger=console.warn;break;case"error":this.logger=console.error;break;default:this.logger=console.log}},c={color:{configurable:!0}};r.prototype.log=function(){for(var t=[],e=arguments.length;e--;)t[e]=arguments[e];for(var n=new a(o),i=0,s=t;i<s.length;i+=1){var r=s[i];n.add(r)}this.print(n)},r.prototype.print=function(t){t.setColor(this.color),this.logger.apply(console,t.getMessage())},c.color.get=function(){return window.matchMedia("(prefers-color-scheme: dark)").matches?this.dark:this.light},Object.defineProperties(r.prototype,c);var a=function(t){this.inputs=["%c"],this.styles=["font-family:Marianne","line-height: 1.5"],this.objects=[],t&&this.add(t+" :")};a.prototype.add=function(t){switch(typeof t){case"object":case"function":this.inputs.push("%o "),this.objects.push(t);break;default:this.inputs.push(t+" ")}},a.prototype.setColor=function(t){this.styles.push("color:"+t)},a.prototype.getMessage=function(){return[this.inputs.join(""),this.styles.join(";")].concat(this.objects)};var u={trace:new r(0,"#616161","#989898"),debug:new r(1,"#000091","#8B8BFF"),info:new r(2,"#007c3b","#00ed70"),warn:new r(3,"#ba4500","#fa5c00","warn"),error:new r(4,"#D80600","#FF4641","error")},l=function(){var t=this;this.level=2;var e=function(e){var n=u[e];t[e]=function(){for(var e=[],i=arguments.length;i--;)e[i]=arguments[i];t.level<=n.level&&n.log.apply(n,e)},t[e].print=n.print.bind(n)};for(var n in u)e(n)};l.prototype.state=function(){var t=new a;t.add(n),this.trace.print(t)},l.prototype.tree=function(){var t=n.getModule("stage");if(t){var e=new a;this._branch(t.root,0,e),this.trace.print(e)}},l.prototype._branch=function(t,e,n){var i="";if(e>0){for(var o="",s=0;s<e;s++)o+="    ";i+=o+"└─ "}i+="["+t.id+"] "+t.html,n.add(i),n.add({"@":t}),n.add("\n");for(var r=0,c=t.children;r<c.length;r+=1){var a=c[r];i+=this._branch(a,e+1,n)}};var h=new l,p=function(t){"loading"!==document.readyState?window.requestAnimationFrame(t):document.addEventListener("DOMContentLoaded",t)},d={AUTO:"auto",MANUAL:"manual",RUNTIME:"runtime",LOADED:"loaded",VUE:"vue",ANGULAR:"angular",REACT:"react"},f=function(){this._mode=d.AUTO,this.isStarted=!1,this.starting=this.start.bind(this),this.preventManipulation=!1},y={mode:{configurable:!0}};f.prototype.configure=function(t,e){void 0===t&&(t={}),this.startCallback=e,!0===t.verbose&&(h.level=0),this.mode=t.mode||d.AUTO},y.mode.set=function(t){switch(t){case d.AUTO:this.preventManipulation=!1,e=this.starting,p(e);break;case d.LOADED:this.preventManipulation=!1,p(this.starting);break;case d.RUNTIME:this.preventManipulation=!1,this.start();break;case d.MANUAL:this.preventManipulation=!1;break;case d.VUE:case d.ANGULAR:case d.REACT:this.preventManipulation=!0;break;default:return void h.error("Illegal mode")}var e;this._mode=t,h.info("mode set to "+t)},y.mode.get=function(){return this._mode},f.prototype.start=function(){h.info("start"),this.startCallback()},Object.defineProperties(f.prototype,y);var m=new f,g=function(){this._collection=[]},b={length:{configurable:!0},collection:{configurable:!0}};g.prototype.forEach=function(t){this._collection.forEach(t)},g.prototype.map=function(t){return this._collection.map(t)},b.length.get=function(){return this._collection.length},g.prototype.add=function(t){return!(this._collection.indexOf(t)>-1)&&(this._collection.push(t),this.onAdd&&this.onAdd(),this.onPopulate&&1===this._collection.length&&this.onPopulate(),!0)},g.prototype.remove=function(t){var e=this._collection.indexOf(t);if(-1===e)return!1;this._collection.splice(e,1),this.onRemove&&this.onRemove(),this.onEmpty&&0===this._collection.length&&this.onEmpty()},g.prototype.execute=function(){for(var t=[],e=arguments.length;e--;)t[e]=arguments[e];for(var n=0,i=this._collection;n<i.length;n+=1){var o=i[n];o&&o.apply(null,t)}},g.prototype.clear=function(){this._collection.length=0},g.prototype.clone=function(){var t=new g;return t._collection=this._collection.slice(),t},b.collection.get=function(){return this._collection},Object.defineProperties(g.prototype,b);var v=function(t){function e(e){t.call(this),this.type=e,this.isActive=!1}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.activate=function(){},e.prototype.deactivate=function(){},e}(g),_=function(t){return i+"-"+t};_.selector=function(t,e){return void 0===e&&(e="."),""+e+_(t)},(_.attr=function(t){return"data-"+_(t)}).selector=function(t,e){var n=_.attr(t);return void 0!==e&&(n+='="'+e+'"'),"["+n+"]"},_.event=function(t){return o+"."+t},_.emission=function(t,e){return"emission:"+t+"."+e};var E=function(t,e){return Array.prototype.slice.call(t.querySelectorAll(e))},C=function(t,e){var n=t.parentElement;return n.matches(e)?n:n===document.documentElement?null:C(n,e)},O=function(t,e,n){this.selector=t,this.InstanceClass=e,this.creator=n,this.instances=new g,this.isIntroduced=!1,this._instanceClassName=this.InstanceClass.instanceClassName,this._instanceClassNames=this.getInstanceClassNames(this.InstanceClass),this._property=this._instanceClassName.substring(0,1).toLowerCase()+this._instanceClassName.substring(1);var i=this._instanceClassName.replace(/[^a-zA-Z0-9]+/g,"-").replace(/([A-Z]+)([A-Z][a-z])/g,"$1-$2").replace(/([a-z])([A-Z])/g,"$1-$2").replace(/([0-9])([^0-9])/g,"$1-$2").replace(/([^0-9])([0-9])/g,"$1-$2").toLowerCase();this._attribute=_.attr("js-"+i)},L={instanceClassName:{configurable:!0},instanceClassNames:{configurable:!0},property:{configurable:!0},attribute:{configurable:!0}};O.prototype.getInstanceClassNames=function(t){var e=Object.getPrototypeOf(t);return e&&"Instance"!==e.instanceClassName?this.getInstanceClassNames(e).concat([t.instanceClassName]):[t.instanceClassName]},O.prototype.hasInstanceClassName=function(t){return this._instanceClassNames.indexOf(t)>-1},O.prototype.introduce=function(){this.isIntroduced||(this.isIntroduced=!0,n.getModule("stage").parse(document.documentElement,this))},O.prototype.parse=function(t,e){var n=[];return t.matches&&t.matches(this.selector)&&n.push(t),!e&&t.querySelectorAll&&t.querySelector(this.selector)&&n.push.apply(n,E(t,this.selector)),n},O.prototype.create=function(t){if(t.node.matches(this.selector)){var e=new this.InstanceClass;return this.instances.add(e),e}},O.prototype.remove=function(t){this.instances.remove(t)},O.prototype.dispose=function(){for(var t=this.instances.collection,e=t.length-1;e>-1;e--)t[e]._dispose();this.creator=null},L.instanceClassName.get=function(){return this._instanceClassName},L.instanceClassNames.get=function(){return this._instanceClassNames},L.property.get=function(){return this._property},L.attribute.get=function(){return this._attribute},Object.defineProperties(O.prototype,L);var A=function(t){function e(){t.call(this,"register")}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.register=function(t,e,i){var o=new O(t,e,i);return this.add(o),n.isActive&&o.introduce(),o},e.prototype.activate=function(){for(var t=0,e=this.collection;t<e.length;t+=1){e[t].introduce()}},e.prototype.remove=function(e){e.dispose(),t.prototype.remove.call(this,e)},e}(v),S=0,N=function(t,e){e?this.id=e:(S++,this.id=S),this.node=t,this.attributeNames=[],this.instances=[],this._children=[],this._parent=null,this._projects=[]},w={proxy:{configurable:!0},html:{configurable:!0},parent:{configurable:!0},ascendants:{configurable:!0},children:{configurable:!0},descendants:{configurable:!0}};w.proxy.get=function(){var t=this;if(!this._proxy){this._proxy={id:this.id,get parent(){return t.parent?t.parent.proxy:null},get children(){return t.children.map((function(t){return t.proxy}))}};for(var e=0,n=this.instances;e<n.length;e+=1){var i=n[e];this._proxy[i.registration.property]=i.proxy}}return this._proxy},w.html.get=function(){var t=this.node.outerHTML.indexOf(">");return this.node.outerHTML.substring(0,t+1)},N.prototype.project=function(t){-1===this._projects.indexOf(t)&&this._projects.push(t)},N.prototype.populate=function(){var t=this._projects.slice();this._projects.length=0;for(var e=0,n=t;e<n.length;e+=1){var i=n[e];this.create(i)}},N.prototype.create=function(t){if(!this.hasInstance(t.instanceClassName)){h.debug("create instance of "+t.instanceClassName+" on element ["+this.id+"]");var e=t.create(this);this.instances.push(e),e._config(this,t),this._proxy&&(this._proxy[t.property]=e.proxy)}},N.prototype.remove=function(t){var e=this.instances.indexOf(t);e>-1&&this.instances.splice(e,1),this._proxy&&delete this._proxy[t.registration.property]},w.parent.get=function(){return this._parent},w.ascendants.get=function(){return[this.parent].concat(this.parent.ascendants)},w.children.get=function(){return this._children},w.descendants.get=function(){var t=[].concat(this._children);return this._children.forEach((function(e){return t.push.apply(t,e.descendants)})),t},N.prototype.addChild=function(t,e){return this._children.indexOf(t)>-1?null:(t._parent=this,!isNaN(e)&&e>-1&&e<this._children.length?this._children.splice(e,0,t):this._children.push(t),t)},N.prototype.removeChild=function(t){var e=this._children.indexOf(t);if(-1===e)return null;t._parent=null,this._children.splice(e,1)},N.prototype.emit=function(t,e){for(var i=[],o=0,s=n.getModule("stage").collection;o<s.length;o+=1){var r=s[o];i.push.apply(i,r._emit(t,e))}return i},N.prototype._emit=function(t,e){for(var n=[],i=0,o=this.instances;i<o.length;i+=1){var s=o[i];n.push.apply(n,s._emitter.emit(t,e))}return n},N.prototype.ascend=function(t,e){return this._parent?this._parent._ascend(t,e):[]},N.prototype._ascend=function(t,e){for(var n=[],i=0,o=this.instances;i<o.length;i+=1){var s=o[i];n.push.apply(n,s._ascent.emit(t,e))}return this._parent&&n.push.apply(n,this._parent._ascend(t,e)),n},N.prototype.descend=function(t,e){for(var n=[],i=0,o=this._children;i<o.length;i+=1){var s=o[i];n.push.apply(n,s._descend(t,e))}return n},N.prototype._descend=function(t,e){for(var n=[],i=0,o=this.instances;i<o.length;i+=1){var s=o[i];n.push.apply(n,s._descent.emit(t,e))}for(var r=0,c=this._children;r<c.length;r+=1){var a=c[r];n.push.apply(n,a._descend(t,e))}return n},N.prototype.getInstance=function(t){for(var e=0,n=this.instances;e<n.length;e+=1){var i=n[e];if(i.registration.hasInstanceClassName(t))return i}return null},N.prototype.hasInstance=function(t){return null!==this.getInstance(t)},N.prototype.getDescendantInstances=function(t,e,n){if(!t)return[];for(var i=[],o=0,s=this._children;o<s.length;o+=1){var r=s[o],c=r.getInstance(t);c&&(i.push(c),n)||(e&&r.hasInstance(e)||!r.children.length||i.push.apply(i,r.getDescendantInstances(t,e,n)))}return i},N.prototype.getAscendantInstance=function(t,e){if(!t||!this._parent)return null;var n=this._parent.getInstance(t);return n||(e&&this._parent.hasInstance(e)?null:this._parent.getAscendantInstance(t,e))},N.prototype.dispose=function(){for(var t=0,e=this.instances;t<e.length;t+=1){e[t]._dispose()}this.instances.length=0,n.remove("stage",this),this.parent.removeChild(this),this._children.length=0,h.debug("remove element ["+this.id+"] "+this.html)},N.prototype.prepare=function(t){-1===this.attributeNames.indexOf(t)&&this.attributeNames.push(t)},N.prototype.examine=function(){var t=this.attributeNames.slice();this.attributeNames.length=0;for(var e=this.instances.length-1;e>-1;e--)this.instances[e].examine(t)},Object.defineProperties(N.prototype,w);var T=function(t){function e(){t.call(this,document.documentElement,"root"),this.node.setAttribute(_.attr("js"),!0)}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e}(N),I=function(t){function e(){t.call(this,"stage"),this.root=new T,t.prototype.add.call(this,this.root),this.observer=new MutationObserver(this.mutate.bind(this)),this.modifications=[],this.willModify=!1,this.modifying=this.modify.bind(this)}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.hasElement=function(t){for(var e=0,n=this.collection;e<n.length;e+=1){if(n[e].node===t)return!0}return!1},e.prototype.getElement=function(t){for(var e=0,n=this.collection;e<n.length;e+=1){var i=n[e];if(i.node===t)return i}var o=new N(t);return this.add(o),h.debug("add element ["+o.id+"] "+o.html),o},e.prototype.getProxy=function(t){return this.hasElement(t)?this.getElement(t).proxy:null},e.prototype.add=function(e){t.prototype.add.call(this,e),this.put(e,this.root)},e.prototype.put=function(t,e){for(var n=0,i=e.children.length-1;i>-1;i--){var o=e.children[i],s=t.node.compareDocumentPosition(o.node);if(s&Node.DOCUMENT_POSITION_CONTAINS)return void this.put(t,o);if(s&Node.DOCUMENT_POSITION_CONTAINED_BY)e.removeChild(o),t.addChild(o,0);else if(s&Node.DOCUMENT_POSITION_PRECEDING){n=i+1;break}}e.addChild(t,n)},e.prototype.activate=function(){this.observer.observe(document.documentElement,{childList:!0,subtree:!0,attributes:!0})},e.prototype.deactivate=function(){this.observer.disconnect()},e.prototype.mutate=function(t){var e=this,n=[];t.forEach((function(t){switch(t.type){case"childList":t.removedNodes.forEach((function(t){return e.dispose(t)})),t.addedNodes.forEach((function(t){return e.parse(t)}));break;case"attributes":if(e.hasElement(t.target)){var i=e.getElement(t.target);i.prepare(t.attributeName),-1===n.indexOf(i)&&n.push(i);for(var o=0,s=i.descendants;o<s.length;o+=1){var r=s[o];-1===n.indexOf(r)&&n.push(r)}}-1===e.modifications.indexOf(t.target)&&e.modifications.push(t.target)}})),n.forEach((function(t){return t.examine()})),this.modifications.length&&!this.willModify&&(this.willModify=!0,window.requestAnimationFrame(this.modifying))},e.prototype.modify=function(){this.willModify=!1;var t=this.modifications.slice();this.modifications.length=0;for(var e=0,n=t;e<n.length;e+=1){var i=n[e];document.documentElement.contains(i)&&this.parse(i)}},e.prototype.dispose=function(t){var e=[];this.forEach((function(n){t.contains(n.node)&&e.push(n)}));for(var n=0,i=e;n<i.length;n+=1){var o=i[n];o.dispose(),this.remove(o)}},e.prototype.parse=function(t,e,i){for(var o=[],s=0,r=e?[e]:n.getModule("register").collection;s<r.length;s+=1)for(var c=r[s],a=0,u=c.parse(t,i);a<u.length;a+=1){var l=u[a],h=this.getElement(l);h.project(c),-1===o.indexOf(h)&&o.push(h)}for(var p=0,d=o;p<d.length;p+=1){d[p].populate()}},e}(v),D=function(t){function e(){t.call(this,"render"),this.rendering=this.render.bind(this),this.nexts=new g}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.activate=function(){window.requestAnimationFrame(this.rendering)},e.prototype.request=function(t){this.nexts.add(t)},e.prototype.render=function(){if(n.isActive&&(window.requestAnimationFrame(this.rendering),this.forEach((function(t){return t.render()})),this.nexts.length)){var t=this.nexts.clone();this.nexts.clear(),t.forEach((function(t){return t.next()}))}},e}(v),j=function(t){function e(){t.call(this,"resize"),this.requireResize=!1,this.resizing=this.resize.bind(this);var e=this.request.bind(this);document.fonts&&document.fonts.ready.then(e),window.addEventListener("resize",e),window.addEventListener("orientationchange",e)}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.activate=function(){this.request()},e.prototype.request=function(){this.requireResize||(this.requireResize=!0,window.requestAnimationFrame(this.resizing))},e.prototype.resize=function(){this.requireResize&&(this.forEach((function(t){return t.resize()})),this.requireResize=!1)},e}(v),P=function(t){function e(){t.call(this,"lock"),this._isLocked=!1,this._scrollY=0,this.onPopulate=this.lock.bind(this),this.onEmpty=this.unlock.bind(this)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={isLocked:{configurable:!0}};return n.isLocked.get=function(){return this._isLocked},e.prototype.lock=function(){this._isLocked||(this._isLocked=!0,this._scrollY=window.scrollY,document.body.style.top=-1*this._scrollY+"px",document.documentElement.setAttribute(_.attr("scrolling"),"false"))},e.prototype.unlock=function(){this._isLocked&&(this._isLocked=!1,document.documentElement.removeAttribute(_.attr("scrolling")),document.body.style.top="",window.scroll(0,this._scrollY))},Object.defineProperties(e.prototype,n),e}(v),M=function(t){function e(){t.call(this,"load"),this.loading=this.load.bind(this)}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.activate=function(){window.addEventListener("load",this.loading)},e.prototype.load=function(){this.forEach((function(t){return t.load()}))},e}(v),x=function(){n.create(A),n.create(I),n.create(D),n.create(j),n.create(P),n.create(M);var t=n.getModule("register");this.register=t.register.bind(t)},k={isActive:{configurable:!0}};k.isActive.get=function(){return n.isActive},x.prototype.start=function(){h.debug("START"),n.isActive=!0},x.prototype.stop=function(){h.debug("STOP"),n.isActive=!1},Object.defineProperties(x.prototype,k);var R=new x,H=function(t){return"."===t.charAt(0)?t.substr(1):t},G=function(t){return t.className?t.className.split(" "):[]},B=function(t,e,n){e=H(e);var i=G(t),o=i.indexOf(e);!0===n?o>-1&&i.splice(o,1):-1===o&&i.push(e),t.className=i.join(" ")},q=function(t,e){return B(t,e)},z=function(t,e){return B(t,e,!0)},U=function(t,e){return G(t).indexOf(H(e))>-1};h.info("version "+s);var F=function(t){return n.getModule("stage").getProxy(t)};F.Modes=d,Object.defineProperty(F,"mode",{set:function(t){m.mode=t},get:function(){return m.mode}}),Object.defineProperty(F,"preventManipulation",{get:function(){return m.preventManipulation}}),Object.defineProperty(F,"isLegacy",{get:function(){return n.isLegacy}}),F.setLegacy=function(){n.isLegacy=!0},F.ns=_,F.addClass=q,F.hasClass=U,F.removeClass=z,F.queryParentSelector=C,F.querySelectorAllArray=E,F.start=R.start,F.stop=R.stop,F.register=R.register,F.inspector=h,m.configure(window[o],F.start),window[o]=F;var K=function(){this.emissions={}};K.prototype.add=function(t,e){if("function"!=typeof e)throw new Error("closure must be a function");this.emissions[t]||(this.emissions[t]=[]),this.emissions[t].push(e)},K.prototype.remove=function(t,e){if(this.emissions[t])if(e){var n=this.emissions[t].indexOf(e);n>-1&&this.emissions[t].splice(n)}else delete this.emissions[t]},K.prototype.emit=function(t,e){if(!this.emissions[t])return[];for(var n=[],i=0,o=this.emissions[t];i<o.length;i+=1){var s=o[i];s&&n.push(s(e))}return n},K.prototype.dispose=function(){this.emissions=null};var W=function(t,e){this.id=t,this.minWidth=e};W.prototype.test=function(){return window.matchMedia("(min-width: "+this.minWidth+"em)").matches};var V={XS:new W("xs",0),SM:new W("sm",36),MD:new W("md",48),LG:new W("lg",62),XL:new W("xl",78)},Y=function(t){void 0===t&&(t=!0),this.jsAttribute=t,this._isRendering=!1,this._isResizing=!1,this._isScrollLocked=!1,this._isLoading=!1,this._listeners={},this._keyListenerTypes=[],this._keys=[],this.handlingKey=this.handleKey.bind(this),this._emitter=new K,this._ascent=new K,this._descent=new K,this._registrations=[],this._nexts=[]},Q={proxy:{configurable:!0},isRendering:{configurable:!0},isResizing:{configurable:!0},isScrollLocked:{configurable:!0},isLoading:{configurable:!0},style:{configurable:!0},hasFocus:{configurable:!0},isLegacy:{configurable:!0}},$={instanceClassName:{configurable:!0}};$.instanceClassName.get=function(){return"Instance"},Y.prototype._config=function(t,e){this.element=t,this.registration=e,this.node=t.node,this.id=t.node.id,this.jsAttribute&&this.setAttribute(e.attribute,!0),this.init()},Y.prototype.init=function(){},Q.proxy.get=function(){var t=this;return{render:function(){return t.render()},resize:function(){return t.resize()}}},Y.prototype.register=function(t,e){var i=n.getModule("register").register(t,e,this);this._registrations.push(i)},Y.prototype.getRegisteredInstances=function(t){for(var e=0,n=this._registrations;e<n.length;e+=1){var i=n[e];if(i.hasInstanceClassName(t))return i.instances.collection}return[]},Y.prototype.dispatch=function(t,e,n,i){var o=new CustomEvent(t,{detail:e,bubble:!0===n,cancelable:!0===i});this.node.dispatchEvent(o)},Y.prototype.listen=function(t,e,n){this._listeners[t]||(this._listeners[t]=[]),this._listeners[t].indexOf(e)>-1||(this._listeners[t].push(e),this.node.addEventListener(t,e,n))},Y.prototype.unlisten=function(t,e){if(t)if(e){if(!this._listeners[t])return;var n=this._listeners[t].indexOf(e);n>-1&&this._listeners[t].splice(n,1),this.node.removeEventListener(t,e)}else{if(!this._listeners[t])return;for(var i=0,o=this._listeners[t];i<o.length;i+=1){var s=o[i];this.node.removeEventListener(t,s)}this._listeners[t].length=0}else for(var r in this._listeners)this.unlisten(r)},Y.prototype.listenKey=function(t,e,n,i,o){void 0===n&&(n=!1),void 0===i&&(i=!1),void 0===o&&(o="down"),-1===this._keyListenerTypes.indexOf(o)&&(this.listen("key"+o,this.handlingKey),this._keyListenerTypes.push(o)),this._keys.push(new X(o,t,e,n,i))},Y.prototype.unlistenKey=function(t,e){var n=this;this._keys=this._keys.filter((function(n){return n.code!==t||n.closure!==e})),this._keyListenerTypes.forEach((function(t){n._keys.some((function(e){return e.type===t}))||n.unlisten("key"+t,n.handlingKey)}))},Y.prototype.handleKey=function(t){for(var e=0,n=this._keys;e<n.length;e+=1){n[e].handle(t)}},Q.isRendering.get=function(){return this._isRendering},Q.isRendering.set=function(t){this._isRendering!==t&&(t?n.add("render",this):n.remove("render",this),this._isRendering=t)},Y.prototype.render=function(){},Y.prototype.request=function(t){this._nexts.push(t),n.getModule("render").request(this)},Y.prototype.next=function(){var t=this._nexts.slice();this._nexts.length=0;for(var e=0,n=t;e<n.length;e+=1){var i=n[e];i&&i()}},Q.isResizing.get=function(){return this._isResizing},Q.isResizing.set=function(t){this._isResizing!==t&&(t?(n.add("resize",this),this.resize()):n.remove("resize",this),this._isResizing=t)},Y.prototype.resize=function(){},Y.prototype.isBreakpoint=function(t){return!0==("string"==typeof t)?V[t.toUpperCase()].test():t.test()},Q.isScrollLocked.get=function(){return this._isScrollLocked},Q.isScrollLocked.set=function(t){this._isScrollLocked!==t&&(t?n.add("lock",this):n.remove("lock",this),this._isScrollLocked=t)},Q.isLoading.get=function(){return this._isLoading},Q.isLoading.set=function(t){this._isLoading!==t&&(t?n.add("load",this):n.remove("load",this),this._isLoading=t)},Y.prototype.load=function(){},Y.prototype.examine=function(t){this.node.matches(this.registration.selector)?this.mutate(t):this._dispose()},Y.prototype.mutate=function(t){},Y.prototype._dispose=function(){h.debug("dispose instance of "+this.registration.instanceClassName+" on element ["+this.element.id+"]"),this.removeAttribute(this.registration.attribute),this.unlisten(),this._keys=null,this.isRendering=!1,this.isResizing=!1,this._nexts=null,n.getModule("render").nexts.remove(this),this.isScrollLocked=!1,this.isLoading=!1,this._emitter.dispose(),this._emitter=null,this._ascent.dispose(),this._ascent=null,this._descent.dispose(),this._descent=null,this.element.remove(this);for(var t=0,e=this._registrations;t<e.length;t+=1){var i=e[t];n.remove("register",i)}this._registrations=null,this.registration.remove(this),this.dispose()},Y.prototype.dispose=function(){},Y.prototype.emit=function(t,e){return this.element.emit(t,e)},Y.prototype.addEmission=function(t,e){this._emitter.add(t,e)},Y.prototype.removeEmission=function(t,e){this._emitter.remove(t,e)},Y.prototype.ascend=function(t,e){return this.element.ascend(t,e)},Y.prototype.addAscent=function(t,e){this._ascent.add(t,e)},Y.prototype.removeAscent=function(t,e){this._ascent.remove(t,e)},Y.prototype.descend=function(t,e){return this.element.descend(t,e)},Y.prototype.addDescent=function(t,e){this._descent.add(t,e)},Y.prototype.removeDescent=function(t,e){this._descent.remove(t,e)},Q.style.get=function(){return this.node.style},Y.prototype.addClass=function(t){q(this.node,t)},Y.prototype.removeClass=function(t){z(this.node,t)},Y.prototype.hasClass=function(t){return U(this.node,t)},Y.prototype.setAttribute=function(t,e){this.node.setAttribute(t,e)},Y.prototype.getAttribute=function(t){return this.node.getAttribute(t)},Y.prototype.hasAttribute=function(t){return this.node.hasAttribute(t)},Y.prototype.removeAttribute=function(t){this.node.removeAttribute(t)},Y.prototype.setProperty=function(t,e){this.node.style.setProperty(t,e)},Y.prototype.removeProperty=function(t){this.node.style.removeProperty(t)},Y.prototype.focus=function(){this.node.focus()},Q.hasFocus.get=function(){return this.node===document.activeElement},Y.prototype.matches=function(t){return this.node.matches(t)},Y.prototype.querySelector=function(t){return this.node.querySelector(t)},Y.prototype.querySelectorAll=function(t){return E(this.node,t)},Y.prototype.queryParentSelector=function(t){return C(this.node,t)},Y.prototype.getRect=function(){return this.node.getBoundingClientRect()},Q.isLegacy.get=function(){return n.isLegacy},Object.defineProperties(Y.prototype,Q),Object.defineProperties(Y,$);var X=function(t,e,n,i,o){this.type=t,this.eventType="key"+t,this.code=e,this.closure=n,this.preventDefault=!0===i,this.stopPropagation=!0===o};X.prototype.handle=function(t){t.type===this.eventType&&t.keyCode===this.code&&(this.closure(t),this.preventDefault&&t.preventDefault(),this.stopPropagation&&t.stopPropagation())};var Z={DISCLOSE:_.event("disclose"),CONCEAL:_.event("conceal")},J={RESET:_.emission("disclosure","reset"),ADDED:_.emission("disclosure","added"),REMOVED:_.emission("disclosure","removed"),GROUP:_.emission("disclosure","group"),UNGROUP:_.emission("disclosure","ungroup")},tt=function(t){for(var e=[],n=arguments.length-1;n-- >0;)e[n]=arguments[n+1];return e.forEach((function(e){var n=Object.keys(e).reduce((function(t,n){return t[n]=Object.getOwnPropertyDescriptor(e,n),t}),{});Object.getOwnPropertySymbols(e).forEach((function(t){var i=Object.getOwnPropertyDescriptor(e,t);i.enumerable&&(n[t]=i)})),Object.defineProperties(t,n)})),t},et=function(t){function e(e,n,i,o){t.call(this),this.type=e,this._selector=n,this.DisclosureButtonInstanceClass=i,this.disclosuresGroupInstanceClassName=o,this.modifier=this._selector+"--"+this.type.id,this.pristine=!0}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={proxy:{configurable:!0},buttons:{configurable:!0},group:{configurable:!0},disclosed:{configurable:!0},buttonHasFocus:{configurable:!0},hasFocus:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"Disclosure"},e.prototype.init=function(){this.addDescent(J.RESET,this.reset.bind(this)),this.addDescent(J.GROUP,this.update.bind(this)),this.addDescent(J.UNGROUP,this.update.bind(this)),this.register('[aria-controls="'+this.id+'"]',this.DisclosureButtonInstanceClass),this.ascend(J.ADDED),this.update()},n.proxy.get=function(){var e=this,n=Object.assign.call(this,t.prototype.proxy,{disclose:e.disclose.bind(e),focus:e.focus.bind(e)});return this.type.canConceal&&(n.conceal=e.conceal.bind(e)),tt(n,{get buttons(){return e.buttons.map((function(t){return t.proxy}))},get group(){var t=e.group;return t?t.proxy:null}})},n.buttons.get=function(){return this.getRegisteredInstances(this.DisclosureButtonInstanceClass.instanceClassName)},e.prototype.update=function(){this.getGroup()},e.prototype.getGroup=function(){if(this.disclosuresGroupInstanceClassName){var t=this.element.getAscendantInstance(this.disclosuresGroupInstanceClassName,this.constructor.instanceClassName);t&&t.validate(this)?this._group=t:this._group=null}else this._group=null},n.group.get=function(){return this._group},e.prototype.disclose=function(t){return!this.disclosed&&(this.pristine=!1,this.disclosed=!0,!t&&this.group&&(this.group.current=this),!0)},e.prototype.conceal=function(t,e){return!!this.disclosed&&(!(!this.type.canConceal&&this.group&&this.group.current===this)&&(this.pristine=!1,this.disclosed=!1,!t&&this.group&&this.group.current===this&&(this.group.current=null),e||this.focus(),this.descend(J.RESET),!0))},n.disclosed.get=function(){return this._disclosed},n.disclosed.set=function(t){if(this._disclosed!==t){this.dispatch(t?Z.DISCLOSE:Z.CONCEAL,this.type),this._disclosed=t,t?this.addClass(this.modifier):this.removeClass(this.modifier);for(var e=0;e<this.buttons.length;e++)this.buttons[e].apply(t)}},e.prototype.reset=function(){},e.prototype.toggle=function(t){if(this.type.canConceal)switch(!0){case!t:case this.disclosed:this.conceal();break;default:this.disclose()}else this.disclose()},n.buttonHasFocus.get=function(){return!!this.buttons.some((function(t){return t.hasFocus}))},n.hasFocus.get=function(){return!!t.prototype.hasFocus||(!!this.buttonHasFocus||this.querySelectorAll(":focus").length>0)},e.prototype.focus=function(){for(var t=0;t<this.buttons.length;t++){var e=this.buttons[t];if(e.isPrimary)return void e.focus()}},e.prototype.dispose=function(){this._group=null,t.prototype.dispose.call(this),this.ascend(J.REMOVED)},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(Y),nt=function(t){function e(e){t.call(this),this.type=e,this.attributeName=e.ariaState?"aria-"+e.id:_.attr(e.id)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={proxy:{configurable:!0},disclosed:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"DisclosureButton"},e.prototype.init=function(){this.controlsId=this.getAttribute("aria-controls"),this.isPrimary=this.hasAttribute(this.attributeName),this.isPrimary&&this.disclosed&&this.registration.creator.pristine&&this.registration.creator.disclose(),this.listen("click",this.click.bind(this))},n.proxy.get=function(){return Object.assign.call(this,t.prototype.proxy,{focus:this.focus.bind(this)})},e.prototype.click=function(t){this.registration.creator&&this.registration.creator.toggle(this.isPrimary)},e.prototype.mutate=function(t){this.isPrimary&&t.indexOf(this.attributeName)>-1&&this.registration.creator&&(this.disclosed?this.registration.creator.disclose():this.type.canConceal&&this.registration.creator.conceal())},e.prototype.apply=function(t){this.isPrimary&&this.setAttribute(this.attributeName,t)},n.disclosed.get=function(){return"true"===this.getAttribute(this.attributeName)},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(Y),it=function(t){function e(e,n){t.call(this,n),this.disclosureInstanceClassName=e,this._index=-1}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={proxy:{configurable:!0},members:{configurable:!0},length:{configurable:!0},index:{configurable:!0},current:{configurable:!0},hasFocus:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"DisclosuresGroup"},e.prototype.init=function(){this.addAscent(J.ADDED,this.update.bind(this)),this.addAscent(J.REMOVED,this.update.bind(this)),this.descend(J.GROUP),this.update()},n.proxy.get=function(){var e=this,n={set index(t){e.index=t},get index(){return e.index},get length(){return e.length},get current(){var t=e.current;return t?t.proxy:null},get members(){return e.members.map((function(t){return t.proxy}))},get hasFocus(){return e.hasFocus}};return tt.call(this,t.prototype.proxy,n)},e.prototype.validate=function(t){return!0},e.prototype.getMembers=function(){var t=this.element.getDescendantInstances(this.disclosureInstanceClassName,this.constructor.instanceClassName,!0);this._members=t.filter(this.validate.bind(this))},e.prototype.update=function(){this.getMembers(),this.getIndex()},n.members.get=function(){return this._members},n.length.get=function(){return this.members.length},e.prototype.getIndex=function(){this._index=-1;for(var t=0;t<this.length;t++)this.index>-1?this.members[t].conceal(!0,!0):this.members[t].disclosed&&(this.index=t)},n.index.get=function(){return this._index},n.index.set=function(t){if(!(t<-1||t>=this.length||t===this._index)){this._index=t;for(var e=0;e<this.length;e++){var n=this.members[e];t===e?n.disclose(!0):n.conceal(!0,!0)}this.apply()}},n.current.get=function(){return-1===this._index?null:this.members[this._index]},n.current.set=function(t){this.index=this.members.indexOf(t)},n.hasFocus.get=function(){var t=this.current;return!!t&&t.hasFocus},e.prototype.apply=function(){},e.prototype.dispose=function(){t.prototype.dispose.call(this),this.descend(J.UNGROUP),this._members=null},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(Y),ot={EXPAND:{id:"expanded",ariaState:!0,ariaControls:!0,canConceal:!0},SELECT:{id:"selected",ariaState:!0,ariaControls:!0,canConceal:!1},OPENED:{id:"opened",ariaState:!1,ariaControls:!0,canConceal:!0}},st=function(t){function e(){t.call(this,ot.EXPAND)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"CollapseButton"},Object.defineProperties(e,n),e}(nt),rt={COLLAPSE:_.selector("collapse")},ct=function(t){function e(){t.call(this,ot.EXPAND,rt.COLLAPSE,st,"CollapsesGroup")}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Collapse"},e.prototype.init=function(){t.prototype.init.call(this),this.listen("transitionend",this.transitionend.bind(this))},e.prototype.transitionend=function(t){this.disclosed||(this.style.maxHeight="")},e.prototype.unbound=function(){this.style.maxHeight="none"},e.prototype.disclose=function(e){var n=this;this.disclosed||(this.unbound(),this.adjust(),this.request((function(){t.prototype.disclose.call(n,e)})))},e.prototype.conceal=function(e,n){var i=this;this.disclosed&&(this.adjust(),this.request((function(){t.prototype.conceal.call(i,e,n)})))},e.prototype.adjust=function(){this.setProperty("--collapser","none");var t=this.node.offsetHeight;this.setProperty("--collapse",-t+"px"),this.setProperty("--collapser","")},e.prototype.reset=function(){this.pristine||(this.disclosed=!1)},Object.defineProperties(e,n),e}(et),at=function(t){function e(){t.call(this,"Collapse")}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"CollapsesGroup"},Object.defineProperties(e,n),e}(it),ut={CHANGE:_("equisized")},lt=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Equisized"},e.prototype.init=function(){this.ascend(ut.CHANGE)},e.prototype.measure=function(){return this.style.width="auto",this.getRect().width},e.prototype.adjust=function(t){this.style.width=t+"px"},e.prototype.dispose=function(){this.ascend(ut.CHANGE)},Object.defineProperties(e,n),e}(Y),ht=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"EquisizedsGroup"},e.prototype.init=function(){this.isResizing=!0,this.isLoading=!0,this.addAscent(ut.CHANGE,this.resize.bind(this))},e.prototype.load=function(){this.resize()},e.prototype.resize=function(){var t=this.element.getDescendantInstances("Equisized"),e=Math.max.apply(Math,t.map((function(t){return t.measure()})));t.forEach((function(t){return t.adjust(e)}))},Object.defineProperties(e,n),e}(Y),pt=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={proxy:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"InjectSvg"},e.prototype.init=function(){this.node&&(this.img=this.node.querySelector("img")),this.isLegacy||this.replace()},n.proxy.get=function(){var e=this;return Object.assign.call(this,t.prototype.proxy,{replace:e.replace.bind(e),restore:e.restore.bind(e)})},e.prototype.fetch=function(){var t=this;this.img&&(this.imgID=this.img.getAttribute("id"),this.imgClass=this.img.getAttribute("class"),this.imgURL=this.img.getAttribute("src"),fetch(this.imgURL).then((function(t){return t.text()})).then((function(e){var n=(new DOMParser).parseFromString(e,"text/html");t.svg=n.querySelector("svg"),t.svg&&t.replace()})))},e.prototype.replace=function(){if(this.svg){this.imgID&&void 0!==this.imgID&&this.svg.setAttribute("id",this.imgID),this.imgClass&&void 0!==this.imgClass&&this.svg.setAttribute("class",this.imgClass),this.svg.hasAttribute("xmlns:a")&&this.svg.removeAttribute("xmlns:a"),this.node.setAttribute("data-fr-inject-svg",!0);var t,e;t=this.svg,e={"aria-hidden":!0,focusable:!1},Object.keys(e).forEach((function(n){return t.setAttribute(n,e[n])})),this.node.replaceChild(this.svg,this.img)}else this.fetch()},e.prototype.restore=function(){this.img&&this.svg&&(this.node.setAttribute("data-fr-inject-svg",!1),this.node.replaceChild(this.img,this.svg))},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(Y),dt={INJECT_SVG:"["+_.attr("inject-svg")+"]"};F.register((F.core={Instance:Y,Breakpoints:V,KeyCodes:{TAB:9,ESCAPE:27,END:35,HOME:36,LEFT:37,UP:38,RIGHT:39,DOWN:40},Disclosure:et,DisclosureButton:nt,DisclosuresGroup:it,DisclosureType:ot,DisclosureEvent:Z,DisclosureEmission:J,Collapse:ct,CollapseButton:st,CollapsesGroup:at,CollapseSelector:rt,RootSelector:{ROOT:":root"},Equisized:lt,EquisizedEmission:ut,EquisizedsGroup:ht,InjectSvg:pt,InjectSvgSelector:dt}).CollapseSelector.COLLAPSE,F.core.Collapse),F.register(F.core.InjectSvgSelector.INJECT_SVG,F.core.InjectSvg),function(t,e){function n(t,e){var n=arguments.length>2?arguments[2]:[];if(!1===o(t))throw new TypeError(Object.prototype.toString.call(t)+"is not a function.");return t.apply(e,n)}function i(t,e){return t[e]}function o(t){return"function"==typeof t}function s(t){if(null===t||t===e)throw TypeError();return Object(t)}function r(t,n){var i=function(t,e){return s(t)[e]}(t,n);if(null===i||i===e)return e;if(!1===o(i))throw new TypeError("Method not callable: "+n);return i}function c(e){switch(typeof e){case"undefined":return"undefined";case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"symbol":return"symbol";default:return null===e?"null":"Symbol"in t&&(e instanceof t.Symbol||e.constructor===t.Symbol)?"symbol":"object"}}function a(t,e){if("string"===e)var s=["toString","valueOf"];else s=["valueOf","toString"];for(var r=0;r<s.length;++r){var a=i(t,s[r]);if(o(a)){var u=n(a,t);if("object"!==c(u))return u}}throw new TypeError("Cannot convert to primitive.")}function u(t,e){return c(t)===c(e)&&("number"===c(t)?!(!isNaN(t)||!isNaN(e))||1/t==1/0&&1/e==-1/0||1/t==-1/0&&1/e==1/0||t===e:function(t,e){return t===e}(t,e))}function l(t){if("symbol"===c(t))throw new TypeError("Cannot convert a Symbol value to a number");var e=Number(t);return isNaN(e)?0:1/e==1/0||1/e==-1/0||e===1/0||e===-1/0?e:(e<0?-1:1)*Math.floor(Math.abs(e))}function h(t){var e=l(t);return e<=0?0:Math.min(e,Math.pow(2,53)-1)}function p(i){switch(c(i)){case"symbol":throw new TypeError("Cannot convert a Symbol value to a string");case"object":return p(function(i){var o=arguments.length>1?arguments[1]:e;if("object"===c(i)){if(arguments.length<2)var s="default";else o===String?s="string":o===Number&&(s="number");var u="function"==typeof t.Symbol&&"symbol"==typeof t.Symbol.toPrimitive?r(i,t.Symbol.toPrimitive):e;if(u!==e){var l=n(u,i,[s]);if("object"!==c(l))return l;throw new TypeError("Cannot convert exotic object to primitive.")}return"default"===s&&(s="number"),a(i,s)}return i}(i,String));default:return String(i)}}var d,f,y,m;d=Array.prototype,f="includes",y=function(t){var e=s(this),n=h(i(e,"length"));if(0===n)return!1;var o=l(arguments[1]);if(o>=0)var r=o;else(r=n+o)<0&&(r=0);for(;r<n;){var c=i(e,p(r));if(u(t,c))return!0;r+=1}return!1},m={value:y,writable:!0,enumerable:!1,configurable:!0},Object.defineProperty(d,f,m),function(){function t(t,n){if(!t)throw new Error("Not enough arguments");var i;if("createEvent"in document){i=document.createEvent("Event");var o=!(!n||n.bubbles===e)&&n.bubbles,s=!(!n||n.cancelable===e)&&n.cancelable;return i.initEvent(t,o,s),i}return(i=document.createEventObject()).type=t,i.bubbles=!(!n||n.bubbles===e)&&n.bubbles,i.cancelable=!(!n||n.cancelable===e)&&n.cancelable,i}var n={click:1,dblclick:1,keyup:1,keypress:1,keydown:1,mousedown:1,mouseup:1,mousemove:1,mouseover:1,mouseenter:1,mouseleave:1,mouseout:1,storage:1,storagecommit:1,textinput:1};if("undefined"!=typeof document&&"undefined"!=typeof window){var i=window.Event&&window.Event.prototype||null;t.NONE=0,t.CAPTURING_PHASE=1,t.AT_TARGET=2,t.BUBBLING_PHASE=3,window.Event=Window.prototype.Event=t,i&&Object.defineProperty(window.Event,"prototype",{configurable:!1,enumerable:!1,writable:!0,value:i}),"createEvent"in document||(window.addEventListener=Window.prototype.addEventListener=Document.prototype.addEventListener=Element.prototype.addEventListener=function(){var t=this,e=arguments[0],i=arguments[1];if(t===window&&e in n)throw new Error("In IE8 the event: "+e+" is not available on the window object. Please see https://github.com/Financial-Times/polyfill-service/issues/317 for more information.");t._events||(t._events={}),t._events[e]||(t._events[e]=function(e){var n,i=t._events[e.type].list,o=i.slice(),s=-1,r=o.length;for(e.preventDefault=function(){!1!==e.cancelable&&(e.returnValue=!1)},e.stopPropagation=function(){e.cancelBubble=!0},e.stopImmediatePropagation=function(){e.cancelBubble=!0,e.cancelImmediate=!0},e.currentTarget=t,e.relatedTarget=e.fromElement||null,e.target=e.target||e.srcElement||t,e.timeStamp=(new Date).getTime(),e.clientX&&(e.pageX=e.clientX+document.documentElement.scrollLeft,e.pageY=e.clientY+document.documentElement.scrollTop);++s<r&&!e.cancelImmediate;)s in o&&(n=o[s],i.includes(n)&&"function"==typeof n&&n.call(t,e))},t._events[e].list=[],t.attachEvent&&t.attachEvent("on"+e,t._events[e])),t._events[e].list.push(i)},window.removeEventListener=Window.prototype.removeEventListener=Document.prototype.removeEventListener=Element.prototype.removeEventListener=function(){var t,e=this,n=arguments[0],i=arguments[1];e._events&&e._events[n]&&e._events[n].list&&-1!==(t=e._events[n].list.indexOf(i))&&(e._events[n].list.splice(t,1),e._events[n].list.length||(e.detachEvent&&e.detachEvent("on"+n,e._events[n]),delete e._events[n]))},window.dispatchEvent=Window.prototype.dispatchEvent=Document.prototype.dispatchEvent=Element.prototype.dispatchEvent=function(t){if(!arguments.length)throw new Error("Not enough arguments");if(!t||"string"!=typeof t.type)throw new Error("DOM Events Exception 0");var e=this,n=t.type;try{if(!t.bubbles){t.cancelBubble=!0;var i=function(t){t.cancelBubble=!0,(e||window).detachEvent("on"+n,i)};this.attachEvent("on"+n,i)}this.fireEvent("on"+n,t)}catch(i){t.target=e;do{t.currentTarget=e,"_events"in e&&"function"==typeof e._events[n]&&e._events[n].call(e,t),"function"==typeof e["on"+n]&&e["on"+n].call(e,t),e=9===e.nodeType?e.parentWindow:e.parentNode}while(e&&!t.cancelBubble)}return!0},document.attachEvent("onreadystatechange",(function(){"complete"===document.readyState&&document.dispatchEvent(new t("DOMContentLoaded",{bubbles:!0}))})))}}(),t.CustomEvent=function(t,e){if(!t)throw Error('TypeError: Failed to construct "CustomEvent": An event name must be provided.');var n;if(e=e||{bubbles:!1,cancelable:!1,detail:null},"createEvent"in document)try{(n=document.createEvent("CustomEvent")).initCustomEvent(t,e.bubbles,e.cancelable,e.detail)}catch(i){(n=document.createEvent("Event")).initEvent(t,e.bubbles,e.cancelable),n.detail=e.detail}else(n=new Event(t,e)).detail=e&&e.detail||null;return n},CustomEvent.prototype=Event.prototype}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(t,e){!function(e){function n(t,e){if("change"===t&&this.addListener(e),arguments[2]&&arguments[2].once){var n=this,i=function(){n.removeListener(i),n.removeListener(e)};this.addListener(i)}}function i(t,e){"change"===t&&this.removeListener(e)}var o=function(){try{var t={};return e.Object.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return this._v},set:function(t){this._v=t+t}}),t.t=1,2===t.t}catch(t){return!1}}(),s={enumerable:!0,configurable:!0,get:function(){return this._onchangeHandler||null},set:function(t){var e=this;e._onchangeListener||(e._onchangeListener=function(){"function"==typeof e._onchangeHandler&&e._onchangeHandler.call(e,arguments[0])},e.addEventListener("change",e._onchangeListener)),e._onchangeHandler=t}};if("MediaQueryList"in e){var r=e.MediaQueryList.prototype.addListener,c=e.MediaQueryList.prototype.removeListener;e.MediaQueryList.prototype.addListener=function(t){var e=t;e.handleEvent&&(e=e.handleEvent),r.call(this,e)},e.MediaQueryList.prototype.removeListener=function(t){var e=t;e.handleEvent&&(e=e.handleEvent),c.call(this,e)},e.MediaQueryList.prototype.addEventListener=n,e.MediaQueryList.prototype.removeEventListener=i,o&&e.Object.defineProperty(e.MediaQueryList.prototype,"onchange",s)}else{var a=t.matchMedia;t.matchMedia=function(t){var r=a(t),c=r.addListener,u=r.removeListener;return r.addListener=function(t){var e=t;e.handleEvent&&(e=e.handleEvent),c.call(this,e)},r.removeListener=function(t){var e=t;e.handleEvent&&(e=e.handleEvent),u.call(this,e)},r.addEventListener=n,r.removeEventListener=i,o&&e.Object.defineProperty(r,"onchange",s),r}}}(t)}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(t,e){var n,i=function(){var t=!0,n=function(e,n,i,o){Object.defineProperty?Object.defineProperty(e,n,{configurable:!1===t||!!o,get:i}):e.__defineGetter__(n,i)};try{n({},"support")}catch(e){t=!1}return function(t,i){var o=this,s=[],r={},c=0,a=0,u=function(t){n(o,t,(function(){return h(),s[t]}),!1)},l=function(){if(c>=a)for(;a<c;++a)u(a)},h=function(){var e,n,o=arguments,a=/\s+/;if(o.length)for(n=0;n<o.length;++n)if(a.test(o[n]))throw(e=new SyntaxError('String "'+o[n]+'" contains an invalid character')).code=5,e.name="InvalidCharacterError",e;for(""===(s="object"==typeof t[i]?(""+t[i].baseVal).replace(/^\s+|\s+$/g,"").split(a):(""+t[i]).replace(/^\s+|\s+$/g,"").split(a))[0]&&(s=[]),r={},n=0;n<s.length;++n)r[s[n]]=!0;c=s.length,l()};return h(),n(o,"length",(function(){return h(),c})),o.toLocaleString=o.toString=function(){return h(),s.join(" ")},o.item=function(t){return h(),s[t]},o.contains=function(t){return h(),!!r[t]},o.add=function(){h.apply(o,e=arguments);for(var e,n,a=0,u=e.length;a<u;++a)n=e[a],r[n]||(s.push(n),r[n]=!0);c!==s.length&&(c=s.length>>>0,"object"==typeof t[i]?t[i].baseVal=s.join(" "):t[i]=s.join(" "),l())},o.remove=function(){h.apply(o,e=arguments);for(var e,n={},a=0,u=[];a<e.length;++a)n[e[a]]=!0,delete r[e[a]];for(a=0;a<s.length;++a)n[s[a]]||u.push(s[a]);s=u,c=u.length>>>0,"object"==typeof t[i]?t[i].baseVal=s.join(" "):t[i]=s.join(" "),l()},o.toggle=function(t,n){return h.apply(o,[t]),e!==n?n?(o.add(t),!0):(o.remove(t),!1):r[t]?(o.remove(t),!1):(o.add(t),!0)},o.forEach=Array.prototype.forEach,o}}();"DOMTokenList"in(n=t)&&n.DOMTokenList&&(!document.createElementNS||!document.createElementNS("http://www.w3.org/2000/svg","svg")||document.createElementNS("http://www.w3.org/2000/svg","svg").classList instanceof DOMTokenList)||(n.DOMTokenList=i),function(){var t=document.createElement("span");"classList"in t&&(t.classList.toggle("x",!1),t.classList.contains("x")&&(t.classList.constructor.prototype.toggle=function(t){var n=arguments[1];if(n===e){var i=!this.contains(t);return this[i?"add":"remove"](t),i}return n=!!n,this[n?"add":"remove"](t),n}))}(),function(){var t=document.createElement("span");if("classList"in t&&(t.classList.add("a","b"),!t.classList.contains("b"))){var e=t.classList.constructor.prototype.add;t.classList.constructor.prototype.add=function(){for(var t=arguments,n=arguments.length,i=0;i<n;i++)e.call(this,t[i])}}}(),function(){var t=document.createElement("span");if("classList"in t&&(t.classList.add("a"),t.classList.add("b"),t.classList.remove("a","b"),t.classList.contains("b"))){var e=t.classList.constructor.prototype.remove;t.classList.constructor.prototype.remove=function(){for(var t=arguments,n=arguments.length,i=0;i<n;i++)e.call(this,t[i])}}}(),function(t){var e=!0,n=function(t,n,i,o){Object.defineProperty?Object.defineProperty(t,n,{configurable:!1===e||!!o,get:i}):t.__defineGetter__(n,i)};try{n({},"support")}catch(t){e=!1}var o=function(t,s,r){n(t.prototype,s,(function(){var t,c=this,a="__defineGetter__DEFINE_PROPERTY"+s;if(c[a])return t;if(c[a]=!0,!1===e){for(var u,l=o.mirror||document.createElement("div"),h=l.childNodes,p=h.length,d=0;d<p;++d)if(h[d]._R===c){u=h[d];break}u||(u=l.appendChild(document.createElement("div"))),t=DOMTokenList.call(u,c,r)}else t=new i(c,r);return n(c,s,(function(){return t})),delete c[a],t}),!0)};o(t.Element,"classList","className"),o(t.HTMLElement,"classList","className"),o(t.HTMLLinkElement,"relList","rel"),o(t.HTMLAnchorElement,"relList","rel"),o(t.HTMLAreaElement,"relList","rel")}(t),function(t){t.DOMTokenList.prototype.forEach=t.Array.prototype.forEach;var e=document.createElement("span");e.classList&&e.classList.constructor&&e.classList.constructor.prototype&&!e.classList.constructor.prototype.forEach&&(e.classList.constructor.prototype.forEach=t.Array.prototype.forEach)}(t),NodeList.prototype.forEach=Array.prototype.forEach}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(t,e){!function(){function e(t){if(!(0 in arguments))throw new TypeError("1 argument is required");do{if(this===t)return!0}while(t=t&&t.parentNode);return!1}if("HTMLElement"in t&&"contains"in HTMLElement.prototype)try{delete HTMLElement.prototype.contains}catch(t){}"Node"in t?Node.prototype.contains=e:document.contains=Element.prototype.contains=e}()}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),Element.prototype.matches=Element.prototype.webkitMatchesSelector||Element.prototype.oMatchesSelector||Element.prototype.msMatchesSelector||Element.prototype.mozMatchesSelector||function(t){for(var e=this,n=(e.document||e.ownerDocument).querySelectorAll(t),i=0;n[i]&&n[i]!==e;)++i;return!!n[i]};var ft=window[o],yt={SYSTEM:"system",LIGHT:"light",DARK:"dark"},mt={THEME:ft.ns.attr("theme"),SCHEME:ft.ns.attr("scheme"),TRANSITION:ft.ns.attr("transition")},gt={LIGHT:"light",DARK:"dark"},bt={SCHEME:ft.ns.emission("scheme","scheme"),THEME:ft.ns.emission("scheme","theme"),ASK:ft.ns.emission("scheme","ask")},vt=function(t){function e(){t.call(this,!1)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={proxy:{configurable:!0},scheme:{configurable:!0},theme:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"Scheme"},e.prototype.init=function(){this.changing=this.change.bind(this),this.hasAttribute(mt.TRANSITION)&&(this.removeAttribute(mt.TRANSITION),this.request(this.restoreTransition.bind(this)));var t=localStorage.getItem("scheme"),e=this.getAttribute(mt.SCHEME);switch(t){case yt.DARK:case yt.LIGHT:case yt.SYSTEM:this.scheme=t;break;default:switch(e){case yt.DARK:this.scheme=yt.DARK;break;case yt.LIGHT:this.scheme=yt.LIGHT;break;default:this.scheme=yt.SYSTEM}}this.addAscent(bt.ASK,this.ask.bind(this)),this.addAscent(bt.SCHEME,this.apply.bind(this))},n.proxy.get=function(){var e=this,n={get scheme(){return e.scheme},set scheme(t){e.scheme=t}};return tt.call(this,t.prototype.proxy,n)},e.prototype.restoreTransition=function(){this.setAttribute(mt.TRANSITION,"")},e.prototype.ask=function(){this.descend(bt.SCHEME,this.scheme)},e.prototype.apply=function(t){this.scheme=t},n.scheme.get=function(){return this._scheme},n.scheme.set=function(t){if(this._scheme!==t){switch(this._scheme=t,t){case yt.SYSTEM:this.listenPreferences();break;case yt.DARK:this.unlistenPreferences(),this.theme=gt.DARK;break;case yt.LIGHT:this.unlistenPreferences(),this.theme=gt.LIGHT;break;default:return void(this.scheme=yt.SYSTEM)}this.descend(bt.SCHEME,t),localStorage.setItem("scheme",t),this.setAttribute(mt.SCHEME,t)}},n.theme.get=function(){return this._theme},n.theme.set=function(t){if(this._theme!==t)switch(t){case gt.LIGHT:case gt.DARK:this._theme=t,this.setAttribute(mt.THEME,t),this.descend(bt.THEME,t)}},e.prototype.listenPreferences=function(){this.isListening||(this.isListening=!0,this.mediaQuery=window.matchMedia("(prefers-color-scheme: dark)"),this.mediaQuery.addEventListener("change",this.changing),this.change())},e.prototype.unlistenPreferences=function(){this.isListening&&(this.isListening=!1,this.mediaQuery.removeEventListener("change",this.changing),this.mediaQuery=null)},e.prototype.change=function(){this.isListening&&(this.theme=this.mediaQuery.matches?gt.DARK:gt.LIGHT)},e.prototype.mutate=function(t){t.indexOf(mt.SCHEME)>-1&&(this.scheme=this.getAttribute(mt.SCHEME)),t.indexOf(mt.THEME)>-1&&(this.theme=this.getAttribute(mt.THEME))},e.prototype.dispose=function(){this.unlistenPreferences()},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(ft.core.Instance),_t={SCHEME:":root"+ft.ns.attr.selector("theme")+", :root"+ft.ns.attr.selector("scheme"),SWITCH_THEME:ft.ns.selector("switch-theme"),RADIO_BUTTONS:'input[name="'+ft.ns("radios-theme")+'"]'};ft.scheme={Scheme:vt,SchemeValue:yt,SchemeSelector:_t,SchemeEmission:bt,SchemeTheme:gt},ft.register(ft.scheme.SchemeSelector.SCHEME,ft.scheme.Scheme);var Et={GROUP:ft.ns.selector("accordions-group"),COLLAPSE:ft.ns.selector("accordion")+" > "+ft.ns.selector("collapse")},Ct=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"AccordionsGroup"},e.prototype.validate=function(t){return t.node.matches(Et.COLLAPSE)},Object.defineProperties(e,n),e}(ft.core.CollapsesGroup);ft.accordion={AccordionSelector:Et,AccordionsGroup:Ct},ft.register(ft.accordion.AccordionSelector.GROUP,ft.accordion.AccordionsGroup);var Ot={EQUISIZED_BUTTON:ft.ns.selector("btns-group--equisized")+" "+ft.ns.selector("btn"),EQUISIZED_GROUP:ft.ns.selector("btns-group--equisized")};ft.button={ButtonSelector:Ot},ft.register(ft.button.ButtonSelector.EQUISIZED_BUTTON,ft.core.Equisized),ft.register(ft.button.ButtonSelector.EQUISIZED_GROUP,ft.core.EquisizedsGroup);var Lt=function(t){function e(){t.call(this),this.count=0,this.focusing=this.focus.bind(this)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={proxy:{configurable:!0},links:{configurable:!0},collapse:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"Breadcrumb"},e.prototype.init=function(){this.getCollapse(),this.isResizing=!0},n.proxy.get=function(){var e=this;return Object.assign.call(this,t.prototype.proxy,{focus:e.focus.bind(e),disclose:e.collapse.disclose.bind(e.collapse)})},e.prototype.getCollapse=function(){var t=this.collapse;t?t.listen(ft.core.DisclosureEvent.DISCLOSE,this.focusing):this.addAscent(ft.core.DisclosureEmission.ADDED,this.getCollapse.bind(this))},e.prototype.resize=function(){var t=this.collapse,e=this.links;t&&e.length&&(this.isBreakpoint(ft.core.Breakpoints.MD)?t.buttonHasFocus&&e[0].focus():e.indexOf(document.activeElement)>-1&&t.focus())},n.links.get=function(){return[].concat(this.querySelectorAll("a[href]"))},n.collapse.get=function(){return this.element.getDescendantInstances(ft.core.Collapse.instanceClassName,null,!0)[0]},e.prototype.focus=function(){this.count=0,this._focus()},e.prototype._focus=function(){var t=this.links[0];t&&(t.focus(),this.request(this.verify.bind(this)))},e.prototype.verify=function(){if(this.count++,!(this.count>100)){var t=this.links[0];t&&document.activeElement!==t&&this._focus()}},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(ft.core.Instance),At={BREADCRUMB:ft.ns.selector("breadcrumb")};ft.breadcrumb={BreadcrumbSelector:At,Breadcrumb:Lt},ft.register(ft.breadcrumb.BreadcrumbSelector.BREADCRUMB,ft.breadcrumb.Breadcrumb);var St={LIST:ft.ns.selector("sidemenu__list"),COLLAPSE:ft.ns.selector("sidemenu__item")+" > "+ft.ns.selector("collapse")},Nt=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"SidemenuList"},e.prototype.validate=function(t){return t.node.matches(St.COLLAPSE)},Object.defineProperties(e,n),e}(ft.core.CollapsesGroup);ft.sidemenu={SidemenuList:Nt,SidemenuSelector:St},ft.register(ft.sidemenu.SidemenuSelector.LIST,ft.sidemenu.SidemenuList);var wt={MODAL:ft.ns.selector("modal"),SCROLL_SHADOW:ft.ns.selector("scroll-shadow"),BODY:ft.ns.selector("modal__body")},Tt=function(t){function e(){t.call(this,ft.core.DisclosureType.OPENED)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"ModalButton"},Object.defineProperties(e,n),e}(ft.core.DisclosureButton),It={ACTIVATE:ft.ns.emission("modal","activate"),DEACTIVATE:ft.ns.emission("modal","deactivate")},Dt={CONCEALING_BACKDROP:ft.ns.attr("concealing-backdrop")},jt=function(t){function e(){t.call(this,ft.core.DisclosureType.OPENED,wt.MODAL,Tt,"ModalsGroup"),this.scrolling=this.resize.bind(this,!1),this.resizing=this.resize.bind(this,!0)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Modal"},e.prototype.init=function(){t.prototype.init.call(this),this.listen("click",this.click.bind(this)),this.listenKey(ft.core.KeyCodes.ESCAPE,this.conceal.bind(this,!1,!1),!0,!0)},e.prototype.click=function(t){t.target===this.node&&"false"!==this.getAttribute(Dt.CONCEALING_BACKDROP)&&this.conceal()},e.prototype.disclose=function(e){return!!t.prototype.disclose.call(this,e)&&(this.descend(It.ACTIVATE),this.isScrollLocked=!0,this.setAttribute("aria-modal","true"),!0)},e.prototype.conceal=function(e,n){return!!t.prototype.conceal.call(this,e,n)&&(this.isScrollLocked=!1,this.removeAttribute("aria-modal"),this.descend(It.DEACTIVATE),!0)},Object.defineProperties(e,n),e}(ft.core.Disclosure),Pt=['[tabindex="0"]',"a[href]","button:not([disabled])","input:not([disabled])","select:not([disabled])","textarea:not([disabled])","audio[controls]","video[controls]",'[contenteditable]:not([contenteditable="false"])',"details>summary:first-of-type","details","iframe"].join(),Mt=['[tabindex]:not([tabindex="-1"]):not([tabindex="0"])'].join(),xt=function(t,e){if(!(t instanceof Element))return!1;var n=window.getComputedStyle(t);if(!n)return!1;if("hidden"===n.visibility)return!1;for(void 0===e&&(e=t);e.contains(t);){if("none"===n.display)return!1;t=t.parentElement}return!0},kt=function(t,e){this.element=null,this.activeElement=null,this.onTrap=t,this.onUntrap=e,this.waiting=this.wait.bind(this),this.handling=this.handle.bind(this),this.focusing=this.maintainFocus.bind(this),this.current=null},Rt={trapped:{configurable:!0},focusables:{configurable:!0}};Rt.trapped.get=function(){return null!==this.element},kt.prototype.trap=function(t){this.trapped&&this.untrap(),this.element=t,this.isTrapping=!0,this.wait(),this.onTrap&&this.onTrap()},kt.prototype.wait=function(){xt(this.element)?this.trapping():window.requestAnimationFrame(this.waiting)},kt.prototype.trapping=function(){if(this.isTrapping){this.isTrapping=!1;var t=this.focusables;t.length&&t[0].focus(),this.element.setAttribute("aria-modal",!0),window.addEventListener("keydown",this.handling),document.body.addEventListener("focus",this.focusing,!0)}},kt.prototype.stun=function(t){for(var e=0,n=t.children;e<n.length;e+=1){var i=n[e];i!==this.element&&(i.contains(this.element)?this.stun(i):this.stunneds.push(new Ht(i)))}},kt.prototype.maintainFocus=function(t){if(!this.element.contains(t.target)){var e=this.focusables;if(0===e.length)return;var n=e[0];t.preventDefault(),n.focus()}},kt.prototype.handle=function(t){if(9===t.keyCode){var e=this.focusables;if(0!==e.length){var n=e[0],i=e[e.length-1],o=e.indexOf(document.activeElement);t.shiftKey?!this.element.contains(document.activeElement)||o<1?(t.preventDefault(),i.focus()):(document.activeElement.tabIndex>0||e[o-1].tabIndex>0)&&(t.preventDefault(),e[o-1].focus()):this.element.contains(document.activeElement)&&o!==e.length-1&&-1!==o?document.activeElement.tabIndex>0&&(t.preventDefault(),e[o+1].focus()):(t.preventDefault(),n.focus())}}},Rt.focusables.get=function(){var t=this,e=ft.querySelectorAllArray(this.element,Pt),n=ft.querySelectorAllArray(document.documentElement,'input[type="radio"]');if(n.length){for(var i={},o=0,s=n;o<s.length;o+=1){var r=s[o],c=r.getAttribute("name");void 0===i[c]&&(i[c]=new Gt(c)),i[c].push(r)}e=e.filter((function(t){if("input"!==t.tagName.toLowerCase()||"radio"!==t.getAttribute("type").toLowerCase())return!0;var e=t.getAttribute("name");return i[e].keep(t)}))}var a=ft.querySelectorAllArray(this.element,Mt);a.sort((function(t,e){return t.tabIndex-e.tabIndex}));var u=e.filter((function(t){return-1===a.indexOf(t)}));return a.concat(u).filter((function(e){return"-1"!==e.tabIndex&&xt(e,t.element)}))},kt.prototype.untrap=function(){this.trapped&&(this.isTrapping=!1,this.element.removeAttribute("aria-modal"),window.removeEventListener("keydown",this.handling),document.body.removeEventListener("focus",this.focusing,!0),this.element=null,this.onUntrap&&this.onUntrap())},kt.prototype.dispose=function(){this.untrap()},Object.defineProperties(kt.prototype,Rt);var Ht=function(t){this.element=t,this.inert=t.getAttribute("inert"),this.element.setAttribute("inert","")};Ht.prototype.unstun=function(){null===this.inert?this.element.removeAttribute("inert"):this.element.setAttribute("inert",this.inert)};var Gt=function(t){this.name=t,this.buttons=[]};Gt.prototype.push=function(t){this.buttons.push(t),(t===document.activeElement||t.checked||void 0===this.selected)&&(this.selected=t)},Gt.prototype.keep=function(t){return this.selected===t};var Bt=function(t){function e(){t.call(this,"Modal",!1),this.focusTrap=new kt}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"ModalsGroup"},e.prototype.apply=function(e,n){t.prototype.apply.call(this,e,n),null===this.current?this.focusTrap.untrap():this.focusTrap.trap(this.current.node)},Object.defineProperties(e,n),e}(ft.core.DisclosuresGroup),qt=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"ModalBody"},e.prototype.init=function(){this.listen("scroll",this.shade.bind(this)),this.addDescent(It.ACTIVATE,this.activate.bind(this)),this.addDescent(It.DEACTIVATE,this.deactivate.bind(this))},e.prototype.activate=function(){this.isResizing=!0,this.resize()},e.prototype.deactivate=function(){this.isResizing=!1},e.prototype.shade=function(){this.node.scrollHeight>this.node.clientHeight?this.node.offsetHeight+this.node.scrollTop>=this.node.scrollHeight?this.removeClass(wt.SCROLL_SHADOW):this.addClass(wt.SCROLL_SHADOW):this.removeClass(wt.SCROLL_SHADOW)},e.prototype.resize=function(){this.adjust(),this.request(this.adjust.bind(this))},e.prototype.adjust=function(){var t=32*(this.isBreakpoint(ft.core.Breakpoints.MD)?2:1);this.style.maxHeight=window.innerHeight-t+"px",this.shade()},Object.defineProperties(e,n),e}(ft.core.Instance);ft.modal={Modal:jt,ModalButton:Tt,ModalBody:qt,ModalsGroup:Bt,ModalSelector:wt},ft.register(ft.modal.ModalSelector.MODAL,ft.modal.Modal),ft.register(ft.modal.ModalSelector.BODY,ft.modal.ModalBody),ft.register(ft.core.RootSelector.ROOT,ft.modal.ModalsGroup);var zt={NAVIGATION:ft.ns.selector("nav"),COLLAPSE:ft.ns.selector("nav__item")+" > "+ft.ns.selector("collapse"),ITEM:ft.ns.selector("nav__item"),ITEM_RIGHT:ft.ns("nav__item--align-right"),MENU:ft.ns.selector("menu")},Ut=function(t){function e(){t.call(this),this._isRightAligned=!1}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={isRightAligned:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"NavigationItem"},e.prototype.init=function(){this.addAscent(ft.core.DisclosureEmission.ADDED,this.calculate.bind(this)),this.addAscent(ft.core.DisclosureEmission.REMOVED,this.calculate.bind(this)),this.isResizing=!0,this.calculate()},e.prototype.resize=function(){this.calculate()},e.prototype.calculate=function(){var t=this.element.getDescendantInstances(ft.core.Collapse.instanceClassName,null,!0)[0];if(t&&this.isBreakpoint(ft.core.Breakpoints.LG)&&t.element.node.matches(zt.MENU)){var e=this.element.node.parentElement.getBoundingClientRect().right,n=t.element.node.getBoundingClientRect().width,i=this.element.node.getBoundingClientRect().left;this.isRightAligned=i+n>e}else this.isRightAligned=!1},n.isRightAligned.get=function(){return this._isRightAligned},n.isRightAligned.set=function(t){this._isRightAligned!==t&&(this._isRightAligned=t,t?ft.addClass(this.element.node,zt.ITEM_RIGHT):ft.removeClass(this.element.node,zt.ITEM_RIGHT))},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(ft.core.Instance),Ft={NONE:-1,INSIDE:0,OUTSIDE:1},Kt=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={index:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"Navigation"},e.prototype.init=function(){t.prototype.init.call(this),this.clicked=!1,this.out=!1,this.listen("focusout",this.focusOut.bind(this)),this.listen("mousedown",this.down.bind(this))},e.prototype.validate=function(t){return t.element.node.matches(zt.COLLAPSE)},e.prototype.down=function(t){this.isBreakpoint(ft.core.Breakpoints.LG)&&-1!==this.index&&this.current&&(this.position=this.current.element.node.contains(t.target)?Ft.INSIDE:Ft.OUTSIDE,this.request(this.getPosition.bind(this)))},e.prototype.focusOut=function(t){this.isBreakpoint(ft.core.Breakpoints.LG)&&(this.out=!0,this.request(this.getPosition.bind(this)))},e.prototype.getPosition=function(){if(this.out)switch(this.position){case Ft.OUTSIDE:this.index=-1;break;case Ft.INSIDE:this.current&&this.current.focus();break;default:this.index>-1&&!this.current.hasFocus&&(this.index=-1)}this.position=Ft.NONE,this.out=!1},n.index.get=function(){return t.prototype.index},n.index.set=function(e){-1===e&&null!==this.current&&this.current.hasFocus&&this.current.focus(),t.prototype.index=e},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(ft.core.CollapsesGroup);ft.navigation={Navigation:Kt,NavigationItem:Ut,NavigationMousePosition:Ft,NavigationSelector:zt},ft.register(ft.navigation.NavigationSelector.NAVIGATION,ft.navigation.Navigation),ft.register(ft.navigation.NavigationSelector.ITEM,ft.navigation.NavigationItem);var Wt=function(t){function e(){t.call(this,ft.core.DisclosureType.SELECT)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"TabButton"},e.prototype.apply=function(e){t.prototype.apply.call(this,e),this.isPrimary&&this.setAttribute("tabindex",e?"0":"-1")},Object.defineProperties(e,n),e}(ft.core.DisclosureButton),Vt={TAB:ft.ns.selector("tabs__tab"),GROUP:ft.ns.selector("tabs"),PANEL:ft.ns.selector("tabs__panel"),LIST:ft.ns.selector("tabs__list")},Yt=function(t){function e(){t.call(this,ft.core.DisclosureType.SELECT,Vt.PANEL,Wt,"TabsGroup")}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"TabPanel"},e.prototype.translate=function(t,e){this.style.transition=e?"none":"",this.style.transform="translate("+100*t+"%)"},e.prototype.reset=function(){this.group.index=0},Object.defineProperties(e,n),e}(ft.core.Disclosure),Qt=function(t){function e(){t.call(this,"TabPanel")}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={buttonHasFocus:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"TabsGroup"},e.prototype.init=function(){t.prototype.init.call(this),this.list=this.querySelector(Vt.LIST),this.listen("transitionend",this.transitionend.bind(this)),this.listenKey(ft.core.KeyCodes.RIGHT,this.pressRight.bind(this),!0,!0),this.listenKey(ft.core.KeyCodes.LEFT,this.pressLeft.bind(this),!0,!0),this.listenKey(ft.core.KeyCodes.HOME,this.pressHome.bind(this),!0,!0),this.listenKey(ft.core.KeyCodes.END,this.pressEnd.bind(this),!0,!0),this.isRendering=!0},e.prototype.transitionend=function(t){this.style.transition="none"},n.buttonHasFocus.get=function(){return this.members.some((function(t){return t.buttonHasFocus}))},e.prototype.pressRight=function(){this.buttonHasFocus&&(this.index<this.length-1?this.index++:this.index=0,this.focus())},e.prototype.pressLeft=function(){this.buttonHasFocus&&(this.index>0?this.index--:this.index=this.length-1,this.focus())},e.prototype.pressHome=function(){this.buttonHasFocus&&(this.index=0,this.focus())},e.prototype.pressEnd=function(){this.buttonHasFocus&&(this.index=this.length-1,this.focus())},e.prototype.focus=function(){this.current&&this.current.focus()},e.prototype.apply=function(){for(var t=0;t<this._index;t++)this.members[t].translate(-1);this.current.style.transition="",this.current.style.transform="";for(var e=this._index+1;e<this.length;e++)this.members[e].translate(1);this.style.transition=""},e.prototype.render=function(){if(null!==this.current){var t=Math.round(this.current.node.offsetHeight);this.panelHeight!==t&&(this.panelHeight=t,this.style.height=this.panelHeight+this.list.offsetHeight+"px")}},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(ft.core.DisclosuresGroup);ft.tab={TabPanel:Yt,TabButton:Wt,TabsGroup:Qt,TabSelector:Vt},ft.register(ft.tab.TabSelector.PANEL,ft.tab.TabPanel),ft.register(ft.tab.TabSelector.GROUP,ft.tab.TabsGroup);var $t={SCROLLABLE:ft.ns.emission("table","scrollable"),CHANGE:ft.ns.emission("table","change"),CAPTION_HEIGHT:ft.ns.emission("table","captionheight")},Xt=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Table"},e.prototype.init=function(){this.addAscent($t.CAPTION_HEIGHT,this.setCaptionHeight.bind(this))},e.prototype.setCaptionHeight=function(t){this.setProperty("--table-offset","calc("+t+"px + 1rem)")},Object.defineProperties(e,n),e}(ft.core.Instance),Zt={TABLE:ft.ns.selector("table"),SHADOW:ft.ns.selector("table__shadow"),SHADOW_LEFT:ft.ns.selector("table__shadow--left"),SHADOW_RIGHT:ft.ns.selector("table__shadow--right"),ELEMENT:ft.ns.selector("table")+":not("+ft.ns.selector("table--no-scroll")+") table",CAPTION:ft.ns.selector("table")+" table caption"},Jt=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={isScrolling:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"TableElement"},e.prototype.init=function(){this.listen("scroll",this.scroll.bind(this)),this.content=this.querySelector("tbody"),this.isResizing=!0},n.isScrolling.get=function(){return this._isScrolling},n.isScrolling.set=function(t){this._isScrolling!==t&&(this._isScrolling=t,t?(this.addClass(Zt.SHADOW),this.scroll()):(this.removeClass(Zt.SHADOW),this.removeClass(Zt.SHADOW_LEFT),this.removeClass(Zt.SHADOW_RIGHT)))},e.prototype.scroll=function(){var t=this.node.scrollLeft<=8,e=this.content.offsetWidth-this.node.offsetWidth-8,n=Math.abs(this.node.scrollLeft)>=e,i="rtl"===document.documentElement.getAttribute("dir"),o=i?Zt.SHADOW_RIGHT:Zt.SHADOW_LEFT,s=i?Zt.SHADOW_LEFT:Zt.SHADOW_RIGHT;t?this.removeClass(o):this.addClass(o),n?this.removeClass(s):this.addClass(s)},e.prototype.resize=function(){this.isScrolling=this.content.offsetWidth>this.node.offsetWidth},e.prototype.dispose=function(){this.isScrolling=!1},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(ft.core.Instance),te=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"TableCaption"},e.prototype.init=function(){this.height=0,this.isResizing=!0},e.prototype.resize=function(){var t=this.getRect().height;this.height!==t&&(this.height=t,this.ascend($t.CAPTION_HEIGHT,t))},Object.defineProperties(e,n),e}(ft.core.Instance);ft.table={Table:Xt,TableElement:Jt,TableCaption:te,TableSelector:Zt},ft.register(ft.table.TableSelector.TABLE,ft.table.Table),ft.register(ft.table.TableSelector.ELEMENT,ft.table.TableElement),ft.register(ft.table.TableSelector.CAPTION,ft.table.TableCaption);var ee={HEADER:ft.ns.selector("header"),TOOLS_LINKS:ft.ns.selector("header__tools-links"),MENU_LINKS:ft.ns.selector("header__menu-links"),LINKS:ft.ns.selector("header__tools-links")+" "+ft.ns.selector("links-group"),MODALS:""+ft.ns.selector("header__search")+ft.ns.selector("modal")+", "+ft.ns.selector("header__menu")+ft.ns.selector("modal")},ne=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"HeaderLinks"},e.prototype.init=function(){var t=this.queryParentSelector(ee.HEADER);if(this.toolsLinks=t.querySelector(ee.TOOLS_LINKS),this.menuLinks=t.querySelector(ee.MENU_LINKS),this.toolsLinks.innerHTML.replace(/  +/g," ")!==this.menuLinks.innerHTML.replace(/  +/g," "))switch(ft.mode){case ft.Modes.ANGULAR:case ft.Modes.REACT:case ft.Modes.VUE:ft.inspector.warn("header__tools-links content is different from header__menu-links content.\nAs you're using a dynamic framework, you should handle duplication of this content yourself, please refer to documentation: \n"+ft.header.doc);break;default:this.menuLinks.innerHTML=this.toolsLinks.innerHTML}},Object.defineProperties(e,n),e}(ft.core.Instance),ie=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"HeaderModal"},e.prototype.init=function(){this.isResizing=!0},e.prototype.resize=function(){this.isBreakpoint(ft.core.Breakpoints.LG)?this.unqualify():this.qualify()},e.prototype.qualify=function(){this.setAttribute("role","dialog");var t=this.element.getInstance("Modal");if(t){for(var e="",n=0,i=t.buttons;n<i.length;n+=1){var o=i[n];if(e=o.id||e,o.isPrimary&&e)break}this.setAttribute("aria-labelledby",e)}},e.prototype.unqualify=function(){var t=this.element.getInstance("Modal");t&&t.conceal(),this.removeAttribute("role"),this.removeAttribute("aria-labelledby")},Object.defineProperties(e,n),e}(ft.core.Instance);ft.header={HeaderLinks:ne,HeaderModal:ie,HeaderSelector:ee,doc:"https://gouvfr.atlassian.net/wiki/spaces/DB/pages/222789846/En-t+te+-+Header"},ft.register(ft.header.HeaderSelector.LINKS,ft.header.HeaderLinks),ft.register(ft.header.HeaderSelector.MODALS,ft.header.HeaderModal);var oe={DISPLAY:ft.ns.selector("display"),RADIO_BUTTONS:'input[name="'+ft.ns("radios-theme")+'"]',FIELDSET:ft.ns.selector("fieldset")},se=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={scheme:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"Display"},e.prototype.init=function(){if(this.radios=this.querySelectorAll(oe.RADIO_BUTTONS),ft.scheme){this.changing=this.change.bind(this);for(var t=0,e=this.radios;t<e.length;t+=1){e[t].addEventListener("change",this.changing)}this.addDescent(ft.scheme.SchemeEmission.SCHEME,this.apply.bind(this)),this.ascend(ft.scheme.SchemeEmission.ASK)}else this.querySelector(oe.FIELDSET).setAttribute("disabled","")},n.scheme.get=function(){return this._scheme},n.scheme.set=function(t){if(this._scheme!==t&&ft.scheme)switch(t){case ft.scheme.SchemeValue.SYSTEM:case ft.scheme.SchemeValue.LIGHT:case ft.scheme.SchemeValue.DARK:this._scheme=t;for(var e=0,n=this.radios;e<n.length;e+=1){var i=n[e];i.checked=i.value===t}this.ascend(ft.scheme.SchemeEmission.SCHEME,t)}},e.prototype.change=function(){for(var t=0,e=this.radios;t<e.length;t+=1){var n=e[t];if(n.checked)return void(this.scheme=n.value)}},e.prototype.apply=function(t){this.scheme=t},e.prototype.dispose=function(){for(var t=0,e=this.radios;t<e.length;t+=1){e[t].removeEventListener("change",this.changing)}},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(ft.core.Instance);ft.display={Display:se,DisplaySelector:oe},ft.register(ft.display.DisplaySelector.DISPLAY,ft.display.Display),F.setLegacy()}();
//# sourceMappingURL=dsfr.nomodule.min.js.map
